-- Pseudorandom Numbers Library v1.0 by LJ Sonic

local t, x, y, z, w = P_RandomFixed(), P_RandomFixed(), P_RandomFixed(), P_RandomFixed(), P_RandomFixed()

rawset(_G, "N_Random", function()
	t = x ^^ (x << 11)
	x, y, z, w = y, z, w, w ^^ (w >> 19) ^^ t ^^ (t >> 8)
	return w
end)

rawset(_G, "N_RandomKey", function(n) return abs(N_Random() % n) end)
rawset(_G, "N_RandomRange", function(a, b) return a + abs(N_Random() % (b - a + 1)) end)
rawset(_G, "N_RandomDatas", function() return d end)
