-- light object for the arena.

freeslot("MT_PSO_ARENALIGHT", "SPR_ALIT")

spriteinfo[SPR_ALIT] = {
    pivot = {
		A = {x = 12, y = 128},
    },
}

mobjinfo[MT_PSO_ARENALIGHT] = {
	
	doomednum = 2540,
	spawnstate = S_INVISIBLE,
	spawnhealth = 1000,
	radius = 32<<FRACBITS,
	height = 32<<FRACBITS,
	flags = MF_NOGRAVITY
}

addHook("MobjThinker", function(mo)
	
	local angle = mo.angle + leveltime*ANG1*2
	local finalangle = FixedAngle(45*sin(angle))
	
	if not mo.extravalue1
	
		mo.sprite = SPR_ALIT
		mo.tics = -1
		mo.scale = $*6
		mo.extravalue1 = 1
	end
	
	mo.frame = FF_FULLBRIGHT|(leveltime%10 < 5 and FF_TRANS50 or FF_TRANS30)
	mo.rollangle = finalangle
	
end, MT_PSO_ARENALIGHT)