freeslot("SPR_DSBR")

PSO.info.items["doublesaber"] = {
		
		name = "Double Saber",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 1,
		atk = 20,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "Mass produced Double Saber that perfectly balances its weight, making it easy to use.",
		
}

-- 2 star
PSO.info.items["azul cutter"] = {
		
		name = "Azul Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 2,
		atk = 35,
		
		elem = ELEM_ICE,
		
		req = 4,
		
		sprite = SPR_DSBR,
		frame = L,
		splatframe = L,	-- while swinging.

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "lifespring",
		
		desc = "A Double Saber made of mossy rock and water held together by photons. It radiates life."
		
}

PSO.info.items["doublerapier"] = {
		
		name = "Double Rapier",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 2,
		atk = 31,
		
		req = 4,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_BLUE,

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "An imrpoved double saber with sharper blades to enhance its power with no change in weight."
		
}


-- 3 star
PSO.info.items["exiled cutter"] = {
		
		name = "Exiled Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 3,
		atk = 45,
		
		elem = ELEM_EARTH,
		
		req = 8,
		
		sprite = SPR_DSBR,
		frame = M,
		splatframe = M,

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "firm stance",
		
		desc = "A Double Saber dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, dulling its blades.",
}

PSO.info.items["doublegladius"] = {
		
		name = "Double Gladius",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 3,
		atk = 41,
		
		req = 9,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_MINT,

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "The original model brought to its limit. Commonly used in the millitary for its cheap cost."
		
}

-- 4 star
PSO.info.items["boreal cutter"] = {
		
		name = "Boreal Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 4,
		atk = 60,
		
		elem = ELEM_EARTH,
		
		req = 13,
		
		sprite = SPR_DSBR,
		frame = N,
		splatframe = N,

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "soulspring",
		
		desc = "A Double Saber forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["doubliss"] = {
		
		name = "Doubliss",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 4,
		atk = 55,
		
		req = 16,
		
		sprite = SPR_DSBR,
		frame = D,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		iyoffset = -26,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "An alternative model of Double Saber that created a wide divide in their userbase between those who prefer this model or the traditional one."
		
}

PSO.info.items["doublecutter"] = {
		
		name = "Double Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 4,
		atk = 54,
		
		req = 23,
		
		sprite = SPR_DSBR,
		frame = C,
		splatframe = C,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		iyoffset = -8,
		
		pa_cost = 90,
		pa_damage = 90,
		
		desc = "A lightweight version of the original model, this was used to significantly increase the output, although it can only spin one way which made it harder to use for some."
		
}

-- 5 star
PSO.info.items["resurgent cutter"] = {
		
		name = "Resurgent Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 5,
		atk = 75,
		
		req = 23,	-- lv req
		
		sprite = SPR_DSBR,
		frame = P,
		effectcolor = SKINCOLOR_RED,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "hopeless manoeuver",
		
		desc = "A Double Saber dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva doubliss"] = {
		
		name = "Alva Doubliss",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 5,
		atk = 69,
		
		req = 24,
		
		sprite = SPR_DSBR,
		frame = D,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		iyoffset = -26,
		
		desc = "An improved version of the Doubliss with no drawbacks whatsoever"
		
}

PSO.info.items["alva doublecutter"] = {
		
		name = "Alva D. Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 5,
		atk = 68,
		
		req = 24,
		
		sprite = SPR_DSBR,
		frame = C,
		splatframe = C,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,

		iyoffset = -8,
		
		pa_cost = 90,
		pa_damage = 90,
		potential = "photonic keeper",
		
		desc = "An imrpvoed version of the Double Cutter with no drawbacks."
		
}

-- 6 star
for i = 1, 3

PSO.info.items["doublesaber proto "..i] = {
		
		name = "DS-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "prototype unit ver."..i,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}

end

PSO.info.items["doublesaber proto 4"] = {
		
		name = "DS-AR004",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "prototype modchip",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}

PSO.info.items["doublesaber proto 5"] = {
		
		name = "DS-AR005",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_DSBR,
		frame = A,
		splatframe = A,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "tame prototype",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}


PSO.info.items["vita doubliss"] = {
		
		name = "Vita Doubliss",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 6,
		atk = 85,
		
		req = 31,
		
		sprite = SPR_DSBR,
		frame = D,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		potential = "photonic keeper",

		iyoffset = -26,
		
		pa_cost = 110,
		
		desc = "A Doubliss pushed to its limits, sacrifices had to be made to maximize its power output and the model was dropped."
		
}

PSO.info.items["vita doublecutter"] = {
		
		name = "Vita D. Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 6,
		atk = 85,
		
		req = 31,
		
		sprite = SPR_DSBR,
		frame = C,
		splatframe = C,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		potential = "photonic keeper",

		iyoffset = -8,
		
		pa_damage = 90,
		
		desc = "A double cutter pushed to its limit, sacrifices had to be made to maximize its output while still letting it be easy to use."
		
}

-- 7 star
PSO.info.items["gyras cutter"] = {
		
		name = "Gyras Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_DSBR,
		frame = Q,

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "aberration slayer",
		
		desc = "A Double Saber taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel cutter"] = {
		
		name = "Fusiel Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 7,
		atk = 99,
		
		elem = ELEM_ICE,
		
		req = 35,
		
		sprite = SPR_DSBR,
		frame = O,
		splatframe = O,

		--previewflip = true,
		iyoffset = -8,
		
		sound = sfx_sword,
		
		potential = "serene spirit",
		
		desc = "A Double Saber created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl doublesaber"] = {
		
		name = "Orakl D. Saber",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 7,
		atk = 110,
		
		req = 41,
		
		sprite = SPR_DSBR,
		frame = B,
		splatframe = B,	-- while swinging.
		
		sound = sfx_sword,
		potential = "perfect rhythm",

		iyoffset = -15,
		
		pa_cost = 90,
		
		desc = "A Double Saber that looks mass produced and even has an ARKS moniker, yet it was never actually produced by ARKS. ...Where does it even come from?"
		
}

PSO.info.items["double driller"] = {
		
		name = "Double Driller",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 7,
		atk = 101,
		
		req = 35,
		
		sprite = SPR_DSBR,
		frame = E,
		splatframe = E,	-- while swinging.
		effectcolor = SKINCOLOR_GREY,
		
		sound = sfx_sword,
		
		elem = ELEM_EARTH,
		potential = "earth stirrer",

		iyoffset = -10,
		
		pa_cost = 105,
		
		desc = "Double Saber made from salvaged Minus horns. It's quite powerful but it looks shoddy at best..."
		
}

-- 8star

PSO.info.items["girasole"] = {
		
		name = "Girasole",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 8,
		atk = 140,
		
		req = 50,
		
		sprite = SPR_DSBR,
		frame = F,
		splatframe = F,	-- while swinging.
		effectcolor = SKINCOLOR_YELLOW,
		
		sound = sfx_sword,

		iyoffset = -17,
		
		pa_cost = 105,
		potential = "weighted balance",
		
		desc = "An intricate Double Saber that draws in the power of the sun. Its imposing size makes it tiring to use."
		
}

PSO.info.items["monkey king bar"] = {
		
		name = "Monkey King Bar",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 8,
		atk = 140,
		
		req = 50,
		
		sprite = SPR_DSBR,
		frame = G,
		splatframe = G,	-- while swinging.
		effectcolor = SKINCOLOR_RED,
		
		sound = sfx_sword,
		
		iyoffset = -5,
		
		pa_cost = 80,
		pa_damage = 90,
		potential = "treasure hunter",
		
		desc = "Records say it was used to measure the depth of rivers. However, it turns out to double as an excellent weapon."
		
}

-- 9star
PSO.info.items["resplendant cutter"] = {
		
		name = "Resplendent Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		sprite = SPR_DSBR,
		frame = R,
		effectcolor = SKINCOLOR_RED,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}


PSO.info.items["eternal heat"] = {
		
		name = "Eternal Heat",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 9,
		atk = 170,
		
		req = 60,
		
		sprite = SPR_DSBR,
		frame = H,
		splatframe = H,	-- while swinging.
		
		sound = sfx_sword,
		effectcolor = SKINCOLOR_RED,
		
		potential = "burning resolve",
		
		pa_cost = 110,
		pa_damage = 105,
		
		iyoffset = -14,
		
		desc = "A Double Saber powered by excited Photons which heat up the blades to insane temperatures, cutting through enemies like butter."
		
}

PSO.info.items["d. saber legacy"] = {
		
		name = "D. Saber Legacy",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 9,
		atk = 170,
		
		req = 60,
		
		sprite = SPR_DSBR,
		frame = I,
		splatframe = I,	-- while swinging.
		
		sound = sfx_sword,
		
		potential = "relentless combo",
		
		pa_cost = 100,
		pa_damage = 100,
		
		iyoffset = -14,
		
		desc = "A simplistic Double Saber model from bygone times, it holds up in power which baffles modern manufacturer using more advanced, yet worse techniques."
		
}

-- 10star
PSO.info.items["vivienne"] = {
		
		name = "Vivienne",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 10,
		atk = 200,
		
		req = 70,
		
		sprite = SPR_DSBR,
		frame = J,
		splatframe = J,	-- while swinging.
		
		sound = sfx_sword,
		effectcolor = SKINCOLOR_PINK,
		
		pa_cost = 105,
		pa_damage = 105,
		
		potential = "still lily",
		
		desc = "A lovely Double Saber for lovely individuals. In fact, it is named after one such lovely individual!"
		
}

PSO.info.items["double cannon"] = {
		
		name = "Double Cannon",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 10,
		atk = 200,
		
		req = 70,
		
		sprite = SPR_DSBR,
		frame = K,
		splatframe = K,	-- while swinging.
		
		sound = sfx_sword,
		effectcolor = SKINCOLOR_PURPLE,
		
		pa_cost = 130,
		pa_damage = 100,
		
		potential = "detonation shot",
		
		desc = "An unknown Double Saber, it has poor Photonic affinity but is able to launch devastating ranged blows."
		
}

PSO.info.items["warrior's double"] = {
		
		name = "Warrior's Double",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_DSBR,
		frame = T,
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sword,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "An experimental Double Saber awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["hidden cane"] = {
		
		name = "Hidden Cane",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 11,
		atk = 211,
		
		req = 74,	-- lv req
		
		sprite = SPR_DSBR,
		frame = U,
		
		pa_cost = 100,
		pa_damage = 90,
		effectcolor = SKINCOLOR_GREY,
		
		sound = sfx_sword,
		potential = "kinsect mastery",
		
		iyoffset = -10,
		
		desc = "A Double Saber made of seemingly rather organic materials, probably from hunting? It's unclear what kind of creature it was made out of, granted that few even remain on the planet.",
}

PSO.info.items["hope glaive"] = {
		
		name = "Hope Glaive",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 11,
		atk = 211,
		
		req = 74,	-- lv req
		
		sprite = SPR_DSBR,
		frame = V,
		
		pa_cost = 100,
		pa_damage = 90,
		effectcolor = SKINCOLOR_GREY,
		
		sound = sfx_sword,
		potential = "kinsect mastery",
		
		iyoffset = -20,
		
		desc = "A Double Saber that was found out in the open wilderness. It's unclear who it belonged to but it's in pristine condition, and well sharpened, too.",
}

-- 11*
PSO.info.items["lumiel cutter"] = {
		
		name = "Lumiel Cutter",
		type = IT_WEAPON,
		weapontype = WPT_DOUBLESABER,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_DSBR,
		frame = S,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}