freeslot("sfx_shoot", "sfx_shoot2", "sfx_shoot3", "sfx_shoot4")

-- 1star
PSO.info.items["rifle"] = {
		
		name = "Rifle",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 1,
		atk = 20,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_FLAME,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "state of the art",
		
		desc = "Mass produced Rifle. Given to rookie Rangers as it has few moving parts, making it easy to take apart and maintain.",
		
}

PSO.info.items["sniper"] = {
		
		name = "Sniper",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 1,
		atk = 15,
		
		sprite = SPR_RIF1,
		frame = F,
		color = SKINCOLOR_FLAME,
		
		range = 2048,
		pa_damage = 95,
		pa_cost = 90,
		
		sound = sfx_shoot2,
		potential = "state of the art",
		
		desc = "A high precision Rifle that can shoot from further away and has higher photon efficiency at the cost of some power.",
		
}

PSO.info.items["burst"] = {
		
		name = "Burst",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 1,
		atk = 24,
		
		req = 2,
		
		sprite = SPR_RIF1,
		frame = E,
		color = SKINCOLOR_FLAME,
		
		range = 1200,
		pa_damage = 105,
		pa_cost = 110,
		
		sound = sfx_shoot3,
		potential = "state of the art",
		
		desc = "A rifle with a higher destructive output that came at the cost of a bit of range and less photon efficiency.",
		
}

-- 2stars
PSO.info.items["azul bullet"] = {
		
		name = "Azul Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 2,
		atk = 35,
		req = 4,
		
		elem = ELEM_ICE,
		
		sprite = SPR_RIF1,
		frame = Q,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "lifespring",
		
		desc = "A Rifle made from mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["beam"] = {
		
		name = "Beam",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 2,
		atk = 35,
		req = 4,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_SAPPHIRE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "state of the art",
		
		desc = "An improved Rifle designed for use by beginners. Often used in the millitary.",
		
}

PSO.info.items["longbeam"] = {
		
		name = "Longbeam",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 2,
		atk = 31,
		req = 3,
		
		sprite = SPR_RIF1,
		frame = F,
		color = SKINCOLOR_SAPPHIRE,
		
		range = 2048,
		pa_damage = 95,
		pa_cost = 90,
		
		sound = sfx_shoot2,
		potential = "state of the art",
		
		desc = "A modified version of the Beam. It's slightly weaker but makes up for it with its range.",
}

PSO.info.items["burstbeam"] = {
		
		name = "Burstbeam",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 2,
		atk = 41,
		req = 5,
		
		sprite = SPR_RIF1,
		frame = E,
		color = SKINCOLOR_SAPPHIRE,
		
		range = 1200,
		pa_damage = 105,
		pa_cost = 110,
		
		sound = sfx_shoot3,
		potential = "state of the art",
		
		desc = "A modified version of the Beam, it's stronger at the cost of having lower range and is harder to use as a result.",
		
}

-- 3star
PSO.info.items["exiled bullet"] = {
		
		name = "Exiled Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 3,
		atk = 45,
		req = 8,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_RIF1,
		frame = R,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "firm stance",
		
		desc = "A Rifle dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, damaging the barrel.",

}

PSO.info.items["laser"] = {
		
		name = "Laser",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 3,
		atk = 45,
		req = 8,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_MINT,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "state of the art",
		
		desc = "A rifle commonly used in the millitary for its cheap cost and high power.",
		
}

PSO.info.items["longlaser"] = {
		
		name = "Longlaser",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 3,
		atk = 43,
		req = 8,
		
		sprite = SPR_RIF1,
		frame = F,
		color = SKINCOLOR_MINT,
		
		range = 2048,
		pa_damage = 95,
		pa_cost = 90,
		
		sound = sfx_shoot2,
		potential = "state of the art",
		
		desc = "A modified version of the Laser with a scope to leverage its higher range.",
}

PSO.info.items["burstlaser"] = {
		
		name = "Burstlaser",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 3,
		atk = 45,
		req = 9,
		
		sprite = SPR_RIF1,
		frame = E,
		color = SKINCOLOR_MINT,
		
		range = 1200,
		pa_damage = 105,
		pa_cost = 110,
		
		sound = sfx_shoot3,
		potential = "state of the art",
		
		desc = "A modified version of the Laser, it's stronger at the cost of having lower range and is harder to use as a result.",
		
}

-- 4 star
PSO.info.items["boreal bullet"] = {
		
		name = "Boreal Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 4,
		atk = 60,
		req = 13,
		
		sprite = SPR_RIF1,
		frame = S,
		
		elem = ELEM_ICE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "soulspring",
		
		desc = "A Rifle forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["shooter"] = {
		
		name = "Shooter",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 4,
		atk = 55,
		req = 16,
		
		sprite = SPR_RIF1,
		frame = H,
		color = SKINCOLOR_FLAME,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "A new model with a slick design designed for higher output rounds.",
		
}

PSO.info.items["burster"] = {
		
		name = "Burster",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 4,
		atk = 55,
		req = 16,
		
		sprite = SPR_RIF1,
		frame = I,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "A bulkier rifle model. Many consider it kind of ugly but its capacitors are of much higher quality, although the range is slightly lower.",
		
}

-- 5 star
PSO.info.items["resurgent bullet"] = {
		
		name = "Resurgent Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 5,
		atk = 75,
		
		req = 23,	-- lv req
		
		sprite = SPR_RIF1,
		frame = U,
		effectcolor = SKINCOLOR_RED,
		
		range = 1536,
		
		sound = sfx_shoot,
		potential = "hopeless manoeuver",
		
		desc = "A Rifle dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva shooter"] = {
		
		name = "Alva Shooter",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 5,
		atk = 69,
		req = 24,
		
		sprite = SPR_RIF1,
		frame = H,
		color = SKINCOLOR_PURPLE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "An improved version of the new model with no drawbacks.",
		
}

PSO.info.items["alva burster"] = {
		
		name = "Alva Burster",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 5,
		atk = 68,
		req = 24,
		
		sprite = SPR_RIF1,
		frame = I,
		color = SKINCOLOR_PURPLE,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "An improved version of the bulky model with a higher output.",
		
}

-- 6 star
for i = 1, 3

PSO.info.items["rifle proto "..i] = {
		
		name = "RF-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 6,
		atk = 80,
		req = 34,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		
		sound = sfx_shoot,
		potential = "prototype unit ver."..i,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}

end
PSO.info.items["rifle proto 4"] = {
		
		name = "RF-AR004",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 6,
		atk = 80,
		req = 34,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		
		sound = sfx_shoot,
		potential = "prototype modchip",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}


PSO.info.items["rifle proto 5"] = {
		
		name = "RF-AR005",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 6,
		atk = 80,
		req = 34,
		
		sprite = SPR_RIF1,
		frame = B,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		
		sound = sfx_shoot,
		potential = "tame prototype",
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}

PSO.info.items["vita shooter"] = {
		
		name = "Vita Shooter",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 6,
		atk = 85,
		req = 31,
		
		sprite = SPR_RIF1,
		frame = H,
		color = SKINCOLOR_GOLD,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 110,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "The new model pushed to its limit, a choice had to be made between the range and capacitor, and range was preferred due to its main usages.",
		
}

PSO.info.items["vita burster"] = {
		
		name = "Vita Burster",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 6,
		atk = 85,
		req = 31,
		
		sprite = SPR_RIF1,
		frame = I,
		color = SKINCOLOR_GOLD,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Compromises had to be made to keep a stable output with this model, but the end result is a better photon affinity than the other model.",
		
}

-- 7 star
PSO.info.items["gyras bullet"] = {
		
		name = "Gyras Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		
		range = 1536,
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_RIF1,
		frame = V,

		iyoffset = -20,
		
		sound = sfx_shoot,
		potential = "aberration slayer",
		
		desc = "A Rifle taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel bullet"] = {
		
		name = "Fusiel Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 7,
		atk = 99,
		req = 35,
		
		elem = ELEM_ICE,
		
		sprite = SPR_RIF1,
		frame = T,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "serene spirit",
		
		desc = "A Rifle created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl rifle"] = {
		
		name = "Orakl Rifle",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 7,
		atk = 110,
		req = 41,
		
		sprite = SPR_RIF1,
		frame = G,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 90,
		
		sound = sfx_shoot,
		potential = "perfect rhythm",
		
		desc = "A rifle with an ARKS moniker despite never having been manufactured officially. Nobody knows where it's from, but it surpasses everything made officially.",
}

PSO.info.items["sneg zapper"] = {
		
		name = "Sneg Zapper",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 7,
		atk = 101,
		req = 35,
		
		sprite = SPR_RIF1,
		frame = J,
		
		elem = ELEM_ELEC,
		sound = sfx_trfire,
		
		potential = "lightning discharge",
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 90,
		
		desc = "A rifle modelled after the Viper units by using some of its parts. It shoots powerful electric discharges.",
}

-- 8star
PSO.info.items["full cylinder"] = {
		
		name = "Full Cylinder",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 8,
		atk = 140,
		req = 50,
		
		sprite = SPR_RIF1,
		frame = K,
		sound = sfx_shoot,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 110,
		potential = "rafale",
		
		desc = "An experimental Rifle based on powerful unknown Rifles brought back to the station by operatives. It's a little unstable.",
}

PSO.info.items["assassin"] = {
		
		name = "Assassin",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 8,
		atk = 140,
		req = 50,
		
		sprite = SPR_RIF1,
		frame = L,
		sound = sfx_shoot,
		
		range = 1536,
		pa_damage = 90,
		pa_cost = 100,
		potential = "decisive opener",
		
		desc = "A new Rifle model based on Badnik technology to outperform conventional weapons.",
}


-- 9star
PSO.info.items["resplendant bullet"] = {
		
		name = "Resplendent Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		sprite = SPR_RIF1,
		frame = W,
		effectcolor = SKINCOLOR_ORANGE,
		
		range = 1536,
		
		sound = sfx_shoot,
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["strauss"] = {
		
		name = "Strauss",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 9,
		atk = 170,
		req = 60,
		
		sprite = SPR_RIF1,
		frame = M,
		sound = sfx_shoot,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		iyoffset = -6,
		
		potential = "pure shell",
		
		desc = "A sophisticated, streamlined and eye-catching Rifle. Enjoyed by many, and just as sharp as it is accurate. Being kind of new, it remains expensive and quite rare however.",
}

PSO.info.items["yasminkov 3000r"] = {
		
		name = "Yasminkov 3000R",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 9,
		atk = 170,
		req = 60,
		
		sprite = SPR_RIF1,
		frame = N,
		sound = sfx_shoot,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "renowned consistency",
		
		desc = "A Rifle from the new Yasminkov line. Its design doesn't do justice to its power, yet Rangers enjoy its slick forme.",
}

-- 10star
PSO.info.items["frozen shooter"] = {
		
		name = "Frozen Shooter",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 10,
		atk = 200,
		req = 70,
		
		elem = ELEM_ICE,
		
		sprite = SPR_RIF1,
		frame = O,
		sound = sfx_shoot,
		
		potential = "sub-zero barrel",
		
		range = 1536,
		pa_damage = 80,
		pa_cost = 100,
		
		desc = "A Rifle that fires cryogenically frozen rounds, freezing enemies. ...and the user if the Photon Reactors are under too much strain.",
}

PSO.info.items["firearms"] = {
		
		name = "Firearms",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 10,
		atk = 200,
		req = 70,
		
		sprite = SPR_RIF1,
		frame = P,
		sound = sfx_rail1,
		
		range = 3184,
		pa_damage = 100,
		pa_cost = 120,
		
		potential = "only my railgun",
		
		desc = "A Rifle with a long barrel, it was made for high precision, long range combat.",
}

PSO.info.items["warrior's fusil"] = {
		
		name = "Warrior's Fusil",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_RIF1,
		frame = Y,
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_shoot,
		potential = "dynamo charge",
		
		iyoffset = -10,
		range = 1536,
		
		desc = "An experimental Rifle awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["ms. confille"] = {
		
		name = "Ms. Confille",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 11,
		atk = 211,
		req = 74,
		
		iyoffset = -14,
		
		sprite = SPR_RIF1,
		frame = Z,
		sound = sfx_shoot,
		
		potential = "guilty sights",
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "A rifle of dubious origin that fires high power rounds with energy not resembling Photons. For some reason, it has a bow attached, too.",
}

-- 11*
PSO.info.items["lumiel bullet"] = {
		
		name = "Lumiel Bullet",
		type = IT_WEAPON,
		weapontype = WPT_RIFLE,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_RIF1,
		frame = X,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_shoot,
		potential = "spark of hope",
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}