freeslot("SPR_SPER", "SPR_SPE2")

PSO.info.items["spear"] = {
		
		name = "Spear",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 1,
		atk = 20,
		
		req = 1,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_FLAME,

		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "Mass produced Spear. It has great weight distribution making it suitable for beginners.",
		
}

PSO.info.items["azul lance"] = {
		
		name = "Azul Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 2,
		atk = 35,
		
		req = 4,	-- lv req
		
		elem = ELEM_ICE,
		
		sprite = SPR_SPER,
		frame = U,
		splatframe = V,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,

		iyoffset = -10,	
		
		sound = sfx_sword,
		
		potential = "lifespring",
		
		desc = "A Spear made from mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["pike"] = {
		
		name = "Pike",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 2,
		atk = 32,
		
		req = 4,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,

		iyoffset = -10,	
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "An improved Spear with higher quality blades that pierce through more easily.",
		
}

PSO.info.items["exiled lance"] = {
		
		name = "Exiled Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 3,
		atk = 45,
		req = 8,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_SPER,
		frame = W,
		splatframe = X,	-- while swinging.

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "firm stance",
		
		desc = "A Spear dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, dulling its blade.",
}

PSO.info.items["lance"] = {
		
		name = "Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 3,
		atk = 42,
		
		req = 9,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_MINT,

		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "A perfected base Spear. Commonly used in the millitary for its cheap price and high efficiency.",
		
}

-- 4*
PSO.info.items["boreal lance"] = {
		
		name = "Boreal Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 4,
		atk = 60,
		req = 13,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SPER,
		frame = Y,
		splatframe = Z,	-- while swinging.

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "soulspring",
		
		desc = "A Spear forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["joust"] = {
		
		name = "Joust",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 4,
		atk = 55,
		
		req = 16,	-- lv req
		
		sprite = SPR_SPER,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_FLAME,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "A Spear modelled after jousting lances from times long past. It's heavy but packs a punch.",
		
}

PSO.info.items["fork"] = {
		
		name = "Fork",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 4,
		atk = 54,
		
		req = 16,	-- lv req
		
		sprite = SPR_SPER,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_FLAME,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "A Spear modelled after a Trident. The smaller area of the blades allows it to be more efficient with photons.",
		
}

-- 5*
PSO.info.items["resurgent lance"] = {
		
		name = "Resurgent Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 5,
		atk = 75,
		
		req = 23,	-- lv req
		
		sprite = SPR_SPE2,
		frame = C,
		splatframe = D,	-- while swinging.
		effectcolor = SKINCOLOR_RED,

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "hopeless manoeuver",
		
		desc = "A Spear dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva joust"] = {
		
		name = "Alva Joust",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 5,
		atk = 69,
		
		req = 24,	-- lv req
		
		sprite = SPR_SPER,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_PURPLE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "An improved Joust with better generators as well as some weight rebalancing to make it easier to wield.",
		
}

PSO.info.items["alva fork"] = {
		
		name = "Alva Fork",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 5,
		atk = 68,
		
		req = 24,	-- lv req
		pa_damage = 90,
		pa_cost = 90,
		
		sprite = SPR_SPER,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_PURPLE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "An improved Fork with better reactors. Its colour gives it almost a hellish appearance which is appreciated by many.",
		
}

-- 6*

for i = 1, 3
PSO.info.items["spear proto "..i] = {
		
		name = "SP-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,

		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "prototype unit ver."..i,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}
end
PSO.info.items["spear proto 4"] = {
		
		name = "SP-AR004",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,

		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "prototype modchip",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}

PSO.info.items["spear proto 5"] = {
		
		name = "SP-AR005",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SPER,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,

		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "tame prototype",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}


PSO.info.items["vita joust"] = {
		
		name = "Vita Joust",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 6,
		atk = 85,
		
		req = 31,	-- lv req
		pa_cost = 110,
		
		sprite = SPR_SPER,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_GOLD,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "A Joust model that shows its limit as the new reactors are unable to maintain the blade with the same efficiency.",
		
}

PSO.info.items["vita fork"] = {
		
		name = "Vita Fork",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 6,
		atk = 84,
		
		req = 31,	-- lv req
		pa_damage = 90,
		pa_cost = 100,
		
		sprite = SPR_SPER,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_GOLD,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "A Fork that shows its limits as the reactors can barely sustain the blades with the same efficiency.",
		
}

-- 7*
PSO.info.items["gyras lance"] = {
		
		name = "Gyras Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_SPE2,
		frame = E,
		splatframe = F,	-- while swinging.

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "aberration slayer",
		
		desc = "A Spear taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel lance"] = {
		
		name = "Fusiel Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 7,
		atk = 99,
		req = 35,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SPE2,
		frame = A,
		splatframe = B,	-- while swinging.

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "serene spirit",
		
		desc = "A Spear created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl partizan"] = {
		
		name = "Orakl Partizan",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 7,
		atk = 110,
		
		req = 41,
		
		sprite = SPR_SPER,
		frame = G,
		splatframe = H,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,

		iyoffset = -14,
		
		sound = sfx_sword,
		potential = "perfect rhythm",
		
		desc = "A Spear with a small but effective tip. It looks like it was manufactured by ARKS although there are no records of that.",	
}

PSO.info.items["ice lancer"] = {
		
		name = "Ice Lancer",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 7,
		atk = 101,
		req = 35,
		
		sprite = SPR_SPE2,
		frame = O,
		splatframe = P,
		
		elem = ELEM_ICE,
		
		range = 1024,
		
		pa_cost = 105,

		iyoffset = -24,
		ixoffset = -12,
		
		sound = sfx_sword,
		potential = "cold snap",
		
		desc = "A decayed frozen spear from an imposing Badnik. It seems frail but this ice will never melt and can pierce through steel.",
}

-- 8star
PSO.info.items["longinus"] = {
		
		name = "Longinus",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 8,
		atk = 140,
		
		req = 50,
		
		sprite = SPR_SPER,
		frame = I,
		splatframe = J,
		
		elem = ELEM_LIGHT,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "photon resurrection",
		
		desc = "A Spear modelled after a lance described in old records.",	
}

PSO.info.items["basilleon"] = {
		
		name = "Basilleon",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 8,
		atk = 140,
		
		req = 50,
		
		sprite = SPR_SPER,
		frame = K,
		splatframe = L,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "clean cut",
		
		desc = "An intimidating Spear with a giantic blade. The honed photons are said to shred anything with ease.",	
}

-- 9star
PSO.info.items["resplendant lance"] = {
		
		name = "Resplendent Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		sprite = SPR_SPE2,
		frame = G,
		splatframe = H,	-- while swinging.
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["meteor lancer"] = {
		
		name = "Meteor Lancer",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 9,
		atk = 170,
		
		req = 60,
		
		sprite = SPR_SPER,
		frame = M,
		splatframe = N,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 140,
		
		iyoffset = -30,
		
		sound = sfx_sword,
		
		potential = "comet piercer",
		
		desc = "A refined Spear design that maximizes output. The construction costs are very high so only a few actually exist.",	
}

PSO.info.items["brionac"] = {
		
		name = "Brionac",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 9,
		atk = 170,
		
		req = 60,
		
		sprite = SPR_SPER,
		frame = O,
		splatframe = P,
		
		range = 1024,
		pa_damage = 105,
		pa_cost = 90,
		
		iyoffset = -20,
		
		potential = "photon leech",
		
		sound = sfx_sword,
		
		desc = "A Spear forged with a blade of pure Photons. This gives it high efficiency and power.",	
}

-- 10star
PSO.info.items["soul eater"] = {
		
		name = "Soul Eater",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 10,
		atk = 200,
		
		req = 70,
		
		sprite = SPR_SPER,
		frame = S,
		splatframe = T,
		
		range = 1024,
		pa_damage = 105,
		pa_cost = 100,
		
		sound = sfx_sword,
		potential = "soul burn",
		
		desc = "A Spear that continuously sucks the life force of its wielder away, it powers up tremendously the weaker its wielder is becoming.",	
}

PSO.info.items["vjaya"] = {
		
		name = "Vjaya",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 10,
		atk = 200,
		
		req = 70,
		
		sprite = SPR_SPER,
		frame = Q,
		splatframe = R,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 140,
		
		potential = "infinite wealth",
		
		sound = sfx_sword,
		
		desc = "A Spear meant for the wealthy which uses Photons contained within Meseta instead of within their wielder's body.",	
}

PSO.info.items["warrior's lance"] = {
		
		name = "Warrior's Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_SPE2,
		frame = K,
		splatframe = L,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sword,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "An experimental Spear awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["gungnir"] = {
		
		name = "Gungnir",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 11,
		atk = 211,
		
		req = 74,	-- lv req
		
		sprite = SPR_SPE2,
		frame = M,
		splatframe = N,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 85,
		effectcolor = SKINCOLOR_ORANGE,
		
		sound = sfx_sword,
		potential = "spear's chant",
		
		iyoffset = -20,
		
		desc = "A spear of unknown origin labelled 'SG-r03 Gungnir'. Its physical form seems unstable but strangely enough stabilizes itself when humming a tune?",
}

-- 11*
PSO.info.items["lumiel lance"] = {
		
		name = "Lumiel Lance",
		type = IT_WEAPON,
		weapontype = WPT_SPEAR,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_SPE2,
		frame = I,
		splatframe = J,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}