
freeslot("sfx_sword", "sfx_sword2", "sfx_sword3", "sfx_sword4", "SPR_SWD2")

PSO.info.items["ais"] = {
		
		name = "ais default",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 1,
		atk = 0,
		
		req = 1,	-- lv req
		
		sprite = SPR_NULL,
		frame = A,
		color = SKINCOLOR_MASTER,
		effectcolor = SKINCOLOR_MASTER,
		
		range = 2048,
		
		sound = sfx_sword,
		
		desc = "Debug info for AIS actions",
}

-- 1star
PSO.info.items["sword"] = {
		
		name = "Sword",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 1,
		atk = 20,
		
		req = 1,	-- lv req
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "Mass produced Sword. Given to rookie Hunters due to its surprisingly low weight, making it easy to swing.",
		
}

PSO.info.items["calibur"] = {
		
		name = "Calibur",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 1,
		atk = 26,
		
		req = 2,
		
		sprite = SPR_SWD1,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		pa_cost = 120,
		pa_damage = 105,

		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword4,
		
		potential = "state of the art",
		
		desc = "A sword with reactors that generate a sharper blade. This came at the cost of worse photon efficiency, making it unpopular among beginners.",
}

PSO.info.items["monoedge"] = {
		
		name = "Monoedge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 1,
		atk = 16,
		
		req = 1,
		
		sprite = SPR_SWD1,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		pa_cost = 80,
		pa_damage = 90,

		-- inventory offsets
		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword2,
		
		potential = "state of the art",
		
		desc = "A single-edged Sword. The reduced area of the blade allows it to have higher photon efficiency by sacrificing some power due to not having a back side.",
		
}

-- 2star
PSO.info.items["azul ledge"] = {
		
		name = "Azul Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 2,
		atk = 35,
		req = 4,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SWD2,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "lifespring",
		
		desc = "A mysterious sword made of mossy rocks and water held together by photons. It radiates life.",
		
}

PSO.info.items["gigush"] = {
		
		name = "Gigush",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 2,
		atk = 32,
		req = 4,	-- need: level 4
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,

		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "A slightly improved entry-level Sword designed for people with only marginal experience in wielding them. ",
		
}

PSO.info.items["giga calibur"] = {
		
		name = "Giga Calibur",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 2,
		atk = 32,
		req = 5,
		
		sprite = SPR_SWD1,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,
		
		pa_cost = 120,
		pa_damage = 105,

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword4,
		
		potential = "state of the art",
		
		desc = "A sharp Sword designed for use by beginners who aren't afraid to jump into combat headfirst.",
}

PSO.info.items["giga edge"] = {
		
		name = "Giga Edge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 2,
		atk = 30,
		req = 3,
		
		sprite = SPR_SWD1,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_SAPPHIRE,
		
		pa_cost = 80,
		pa_damage = 90,

		-- inventory offsets
		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword2,
		
		potential = "state of the art",
		
		desc = "An improved single edged Sword designed for beginners who prefer weaker, but more consistent attack power.",
}

-- 3star
PSO.info.items["exiled ledge"] = {
		
		name = "Exiled Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 3,
		atk = 45,
		req = 8,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_SWD2,
		frame = G,
		splatframe = H,	-- while swinging.

		-- inventory offsets
		iyoffset = -3,
		
		sound = sfx_sword,
		
		potential = "firm stance",
		
		desc = "A Sword dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, dulling its blade.",
}

PSO.info.items["breaker"] = {
		
		name = "Breaker",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 3,
		atk = 41,
		req = 9,	-- need: level 9
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_MINT,

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "state of the art",
		
		desc = "The best basic sword model. It was discovered the design could not be pushed further without compromises.",
}

PSO.info.items["breag calibur"] = {
		
		name = "Breag Calibur",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 3,
		atk = 43,
		req = 10,	-- need: level 9
		
		sprite = SPR_SWD1,
		frame = C,
		splatframe = D,	-- while swinging.
		color = SKINCOLOR_MINT,

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword4,
		
		potential = "state of the art",

		pa_cost = 120,
		pa_damage = 105,
		
		desc = "This sword model has been pushed to its limit, no other upgrades can be performed without heavy compromises on photon efficiency.",
}

PSO.info.items["breag edge"] = {
		
		name = "Breag Edge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 3,
		atk = 40,
		req = 9,	-- need: level 9
		
		sprite = SPR_SWD1,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_MINT,

		-- inventory offsets
		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword2,
		
		potential = "state of the art",

		pa_cost = 90,
		pa_damage = 90,
		
		desc = "This sword model has been pushed to its limit, no other upgrades can be performed without heavy compromises on power output.",
}

-- 4star
PSO.info.items["boreal ledge"] = {
		
		name = "Boreal Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 4,
		atk = 60,
		req = 13,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SWD2,
		frame = I,
		splatframe = J,	-- while swinging.

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "soulspring",
		
		desc = "A Sword forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["claymore"] = {
		
		name = "Claymore",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 4,
		atk = 53,
		
		req = 16,	-- lv req
		
		sprite = SPR_SWD1,
		frame = I,
		splatframe = J,	-- while swinging.
		color = SKINCOLOR_FLAME,

		pa_cost = 90,
		pa_damage = 90,

		-- inventory offsets
		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword2,
		
		potential = "photonic keeper",
		
		desc = "A model with specs remade from the ground up to allow for higher power than older Sword models.",
}

PSO.info.items["pine"] = {
		
		name = "Pine",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 4,
		atk = 55,
		
		req = 16,	-- lv req
		
		sprite = SPR_SWD1,
		frame = K,
		splatframe = L,	-- while swinging.
		color = SKINCOLOR_FLAME,

		-- inventory offsets
		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "A model with a funky design it gets its name from. Despite that, it's popular for its solid output.",
}

-- 5star
PSO.info.items["resurgent ledge"] = {
		
		name = "Resurgent Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 5,
		atk = 75,
		
		req = 24,	-- lv req
		
		sprite = SPR_SWD2,
		frame = M,
		splatframe = N,	-- while swinging.
		elem = ELEM_FIRE,
		effectcolor = SKINCOLOR_RED,
		iyoffset = -10,
		ixoffset = -10,		
		
		sound = sfx_sword2,
		potential = "hopeless manoeuver",
		
		desc = "A Sword dating from the initial Badnik invasion. Its blade is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
}

PSO.info.items["alva claymore"] = {
		
		name = "Alva Claymore",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 5,
		atk = 68,
		
		req = 24,	-- lv req
		
		sprite = SPR_SWD1,
		frame = I,
		splatframe = J,	-- while swinging.
		color = SKINCOLOR_PURPLE,

		pa_cost = 90,
		pa_damage = 90,

		iyoffset = -10,
		ixoffset = -10,		
		
		sound = sfx_sword2,
		potential = "photonic keeper",
		
		desc = "An improved version of the previous model that managed a higher output with no compromises.",
}

PSO.info.items["alva pine"] = {
		
		name = "Alva Pine",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 5,
		atk = 69,
		
		req = 24,	-- lv req
		
		sprite = SPR_SWD1,
		frame = K,
		splatframe = L,	-- while swinging.
		color = SKINCOLOR_PURPLE,

		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "Although the original model wasn't supposed to have its design reused, its popularity allowed this upgrade to exist.",
}

-- 6star
for i = 1, 3
PSO.info.items["sword proto "..i] = {
		
		name = "SW-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword,
		
		potential = "prototype unit ver."..i,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}
end

PSO.info.items["sword proto 4"] = {
		
		name = "SW-AR004",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword,
		
		potential = "prototype modchip",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}

PSO.info.items["sword proto 5"] = {
		
		name = "SW-AR005",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 6,
		atk = 80,
		
		req = 34,	-- lv req
		
		sprite = SPR_SWD1,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		
		-- inventory offsets
		iyoffset = -20,
		
		sound = sfx_sword,
		
		potential = "tame prototype",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}

PSO.info.items["vita claymore"] = {
		
		name = "Vita Claymore",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 6,
		atk = 85,
		
		req = 31,	-- lv req
		
		sprite = SPR_SWD1,
		frame = I,
		splatframe = J,	-- while swinging.
		color = SKINCOLOR_GOLD,

		pa_damage = 90,

		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword2,
		potential = "photonic keeper",
		
		desc = "Admittedly, this design is showing its limits as compromises on Photon efficiency had to be made to upgrade the output.",
}

PSO.info.items["vita pine"] = {
		
		name = "Vita Pine",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 6,
		atk = 85,
		
		req = 31,	-- lv req
		
		sprite = SPR_SWD1,
		frame = K,
		splatframe = L,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		pa_cost = 110,

		iyoffset = -10,
		ixoffset = -10,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "Admittedly, this design is showing its limits as compromises on Photon efficiency had to be made to upgrade the output.",
}

-- 7star
PSO.info.items["fusiel ledge"] = {
		
		name = "Fusiel Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 7,
		atk = 99,
		req = 35,
		
		sprite = SPR_SWD2,
		frame = K,
		splatframe = L,	-- while swinging.
	
		elem = ELEM_ICE,
	
		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sword,
		
		potential = "serene spirit",
		
		desc = "A Sword created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["gyras ledge"] = {
		
		name = "Gyras Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_SWD2,
		frame = O,
		splatframe = P,	-- while swinging.

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "aberration slayer",
		
		desc = "A Sword taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["orakl sword"] = {
		
		name = "Orakl Sword",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 7,
		atk = 110,
		
		req = 40,	-- lv req
		
		sprite = SPR_SWD1,
		frame = G,
		splatframe = H,	-- while swinging.

		pa_cost = 90,

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "perfect rhythm",
		
		desc = "A sword of unknown origin. It has an ARKS moniker, yet ARKS has never produced such a weapon, could it be counterfeit?",
}

PSO.info.items["vulture basher"] = {
		
		name = "Vulture Basher",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 7,
		atk = 101,
		
		req = 40,	-- lv req
		
		sprite = SPR_SWD1,
		frame = M,
		splatframe = N,	-- while swinging.
		effectcolor = SKINCOLOR_FLAME,

		pa_cost = 105,
		
		iyoffset = -15,
		
		sound = sfx_sword,
		potential = "steel wing",
		
		desc = "Sword made from salvaged Badnik parts. It looks kind of goofy but its power is absolutely nothing to scoff at.",
}

-- 8star
PSO.info.items["steel hearts"] = {
		
		name = "Steel Hearts",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 8,
		atk = 140,
		
		req = 50,	-- lv req
		
		sprite = SPR_SWD1,
		frame = O,
		splatframe = P,	-- while swinging.
		effectcolor = SKINCOLOR_BLUE,
		
		pa_cost = 120,
		pa_damage = 110,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "revolver blade",
		
		desc = "A Sword whose blue blade glows with the power of the wielder's heart. Said to confer the guidance of the stars.",
}

PSO.info.items["seal case"] = {
		
		name = "Seal Case",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 8,
		atk = 140,
		
		req = 49,	-- lv req
		
		sprite = SPR_SWD1,
		frame = Q,
		splatframe = R,	-- while swinging.
		effectcolor = SKINCOLOR_BLUE,
		
		pa_cost = 85,
		pa_damage = 95,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "blunt blade",
		
		desc = "A Sword whose blade is sheathed away. It's unclear how to unsheathe it but it remains a functional weapon as is.",
}

-- 9star
PSO.info.items["resplendant ledge"] = {
		
		name = "Resplendent Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		sprite = SPR_SWD2,
		frame = Q,
		splatframe = R,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -20,
		
		sound = sfx_sword,
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["zanba"] = {
		
		name = "Zanba",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 9,
		atk = 170,
		
		req = 60,	-- lv req
		
		sprite = SPR_SWD1,
		frame = U,
		splatframe = V,	-- while swinging.
		effectcolor = SKINCOLOR_GREY,
		
		pa_cost = 100,
		pa_damage = 100,
		
		iyoffset = -10,
		
		potential = "critical ignorance",
		
		sound = sfx_sword,
		
		desc = "A Sword best described as barbaric. Rather than slashing, this weapon was created to crush opponents.",
}

PSO.info.items["last survivor"] = {
		
		name = "Last Survivor",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 9,
		atk = 170,
		
		req = 60,	-- lv req
		
		sprite = SPR_SWD1,
		frame = S,
		splatframe = T,	-- while swinging.
		effectcolor = SKINCOLOR_GREY,
		
		potential = "to the edge",
		
		pa_cost = 100,
		pa_damage = 100,
		
		iyoffset = -10,
		
		sound = sfx_sword,
		
		desc = "A Sword based on older technology. Sharp enough to slash enemies apart, even without the aid of Photons.",
}

-- the juicy stuff
PSO.info.items["chainsawd"] = {
		
		name = "Chainsawd",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 10,
		atk = 200,
		
		req = 70,	-- lv req
		
		sprite = SPR_SWD1,
		frame = W,
		splatframe = X,	-- while swinging.
		
		potential = "photon shredder",
		
		pa_cost = 130,
		pa_damage = 95,
		
		iyoffset = -10,
		
		sound = sfx_sword,
		
		desc = "A Sword modelled after a chainsaw. The blades are coated in photons and literally shred through enemies.",
}

PSO.info.items["dragon slayer"] = {
		
		name = "Dragon Slayer",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 10,
		atk = 200,
		
		req = 70,	-- lv req
		
		sprite = SPR_SWD1,
		frame = Y,
		splatframe = Z,	-- while swinging.
		
		pa_cost = 999,
		pa_damage = 1,
		
		sound = sfx_sword,
		potential = "dragon's roar",
		
		desc = "A legendary Sword once owned by one who defeated a dragon. The hateful soul sealed inside pushes one to commit violent, thoughtless acts...",
}

PSO.info.items["warrior's epee"] = {
		
		name = "Warrior's Epee",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_SWD2,
		frame = U,
		splatframe = V,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sword,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "An experimental Sword awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["xenoblade"] = {
		
		name = "The Xeno Blade",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 11,
		atk = 211,
		
		req = 74,	-- lv req
		
		sprite = SPR_SWD2,
		frame = A,
		splatframe = B,	-- while swinging.
		combatframe = C,
		combatsplatframe = D,	-- while attacking!!
		
		pa_cost = 100,
		pa_damage = 100,
		
		sound = sfx_sword,
		
		potential = "blade buster",
		
		desc = "The sword of the beginning. It is said to grant visions of the future. It is able to draw Photons from your body to power itself up but appears to convert them into an unknown energy source for itself.",
}

-- 11*
PSO.info.items["lumiel ledge"] = {
		
		name = "Lumiel Ledge",
		type = IT_WEAPON,
		weapontype = WPT_SWORD,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_SWD2,
		frame = S,
		splatframe = T,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}