-- Generates the shop for the player.
-- Separated from other files as the shop item list is pretty big.

-- {itname, chance%, level_min, level_max}
-- itname appears chance% of the time if the player level is between level_min and level_max.
-- level_min/max can be left nil to always allow it to appear

PSO.info.shopList = {
	{"monomate", 100},
	{"dimate", 100, 10},
	{"trimate", 100, 15},
	{"moon atomizer", 100, 10},
	{"star atomizer", 100, 10},
	{"sol atomizer", 100, 15},
	{"shiftaride", 100, 5},
	{"debanride", 100, 5},
	{"monogrinder", 100, 10},
	{"digrinder", 50, 10},
	{"trigrinder", 33, 30},
	{"telepipe", 100},
	
	--{"extend code", 100, 80},
	
	-- weapons
	--1
	{"rescue gun", 100},
	{"sword", 100},
	{"spear", 100},
	{"doublesaber", 100},
	{"rifle", 100},
	{"shotgun", 100},
	{"launcher", 100},
	{"rod", 100},
	{"saber", 100},
	{"handgun", 100},
	{"wand", 100},
	{"tcsm_pit", 100},
	
	--2
	{"gigush", 100, 7, 19},
	{"pike", 100, 7, 19},	
	{"doublerapier", 100, 7, 19},
	{"beam", 100, 7, 19},
	{"spread", 100, 7, 19},
	{"bomber", 100, 7, 19},
	{"baton", 100, 7, 19},
	{"brand", 100, 7, 19},
	{"lockgun", 100, 7, 19},
	{"staff", 100, 7, 19},
	{"tcsm_gipit", 100, 7},

	--3
	{"breaker", 100, 14},
	{"doublegladius", 100, 14},
	{"lance", 100, 14},
	{"laser", 100, 14},
	{"canon", 100, 14},
	{"tagvalve", 100, 14},
	{"ulrod", 100, 14},
	{"slash", 100, 14},
	{"autogun", 100, 14},
	{"batnara", 100, 14},
	{"tcsm_rapit", 100, 14},

	--4
	{"pine", 100, 21, 35},
	{"doubliss", 100, 21, 35},
	{"fork", 100, 21, 35},
	{"burster", 100, 21, 35},
	{"shot", 100, 21, 35},
	{"grenade", 100, 21, 35},
	{"crescent", 100, 21, 35},
	{"claw", 100, 21, 35},
	{"peacekeeper", 100, 21, 35},
	{"hammer", 100, 21, 35},
	{"tcsm_unidus", 100, 21, 35},

	{"alva pine", 100, 30},
	{"alva doubliss", 100, 30},
	{"alva fork", 100, 30},
	{"alva burster", 100, 30},
	{"alva shot", 100, 30},
	{"alva grenade", 100, 30},
	{"alva crescent", 100, 30},
	{"alva claw", 100, 30},
	{"alva peacekeeper", 100, 30},
	{"alva hammer", 100, 30},
	{"tcsm_scrap", 100, 30},

	{"vita pine", 100, 40},
	{"vita doubliss", 100, 40},
	{"vita fork", 100, 40},
	{"vita burster", 100, 40},
	{"vita shot", 100, 40},	
	{"vita grenade", 100, 40},	
	{"vita crescent", 100, 40},
	{"vita claw", 100, 40},
	{"vita peacekeeper", 100, 40},
	{"vita hammer", 100, 40},
	{"tcsm_gunner", 100, 40},
	
	{"vulture basher", 100, 50},
	{"double driller", 100, 50},
	{"ice lancer", 100, 50},
	{"sneg zapper", 100, 50},
	{"command shot", 100, 50},
	{"hatted cannon", 100, 50},
	{"ice stabberrod", 100, 50},
	{"winginator", 100, 50},
	{"poss shooter", 100, 50},
	{"asterod", 100, 50},
	{"tcsm_crawla3", 100, 50},

	{"steel hearts", 100, 70},
	{"monkey king bar", 100, 70},
	{"basilleon", 100, 70},
	{"assassin", 100, 70},
	{"wide smack", 100, 70},
	{"saint kilda", 100, 70},
	{"red processor", 100, 70},
	{"sarblight", 100, 70},
	{"sarcueid", 100, 70},
	{"windmill", 100, 70},
	{"seal case", 100, 70},
	{"girasole", 100, 70},
	{"longinus", 100, 70},
	{"full cylinder", 100, 70},
	{"heimdall", 100, 70},
	{"photon launcher", 100, 70},
	{"clarita visas", 100, 70},
	{"forblight", 100, 70},
	{"yasminkov 2000h", 100, 70},
	{"hexigraph", 100, 70},
	
	--{"tcsm_crawla4", 100, 45},
	
	-- units

	{"frame", 100, 1, 15},
	{"scrap frame", 100, 7, 19},
	{"stone frame", 100, 14, 29},
	{"icicle frame", 100, 20},
	{"rostig frame", 100, 30},
	{"aileron frame", 100, 35},
	{"magnet frame", 100, 45},
	{"hart frame", 100, 60},
	{"makel frame", 100, 70},
	--{"aberrant frame", 100, 80},
	--{"angelic frame", 100, 80},
	
	{"unit_hp_1", 100, 5},
	{"unit_pp_1", 100, 5},
	{"unit_satk_1", 100, 5},
	{"unit_ratk_1", 100, 5},
	{"unit_tatk_1", 100, 5},
	{"unit_speed_1", 100, 5},

	{"unit_hp_2", 30, 20, 30},
	{"unit_pp_2", 30, 20, 30},
	{"unit_satk_2", 30, 20, 30},
	{"unit_ratk_2", 30, 20, 30},
	{"unit_tatk_2", 30, 20, 30},
	{"unit_speed_2", 30, 20, 30},

	{"unit_hp_2", 100, 30},
	{"unit_pp_2", 100, 30},
	{"unit_satk_2", 100, 30},
	{"unit_ratk_2", 100, 30},
	{"unit_tatk_2", 100, 30},
	{"unit_speed_2", 100, 30},

	{"unit_hp_3", 30, 50},
	{"unit_pp_3", 30, 50},
	{"unit_satk_3", 30, 50},
	{"unit_ratk_3", 30, 50},
	{"unit_tatk_3", 30, 50},

	/*{"unit_hp_4", 100, 80},
	{"unit_pp_4", 100, 80},
	{"unit_satk_4", 100, 80},
	{"unit_ratk_4", 100, 80},
	{"unit_tatk_4", 100, 80},*/
	
	-- PAs / Techs
	{"sword_pa_extendcutter", 100, 10},
	{"sword_pa_spiralbreak", 100, 20},
	{"sword_pa_risingedge", 100, 30},
	{"sword_pa_overend", 100, 40},
	
	{"dsaber_pa_spinadvance", 100, 10},
	{"dsaber_pa_tornadodance", 100, 20},
	{"dsaber_pa_surprisedunk", 100, 30},
	{"dsaber_pa_quickgash", 100, 40},
	
	{"spear_pa_raptorthrow", 100, 10},
	{"spear_pa_millionskewer", 100, 20},
	{"spear_pa_bandersnatch", 100, 30},
	{"spear_pa_scythecleave", 100, 40},
	
	{"rifle_pa_piercinground", 100, 10},
	{"rifle_pa_slideshot", 100, 20},
	{"rifle_pa_skyfiresalvo", 100, 30},
	{"rifle_pa_revoltaim", 100, 40},
	
	{"shotgun_pa_gloriousrain", 100, 10},
	{"shotgun_pa_impactrecoil", 100, 20},
	{"shotgun_pa_slugburst", 100, 30},
	{"shotgun_pa_trickblast", 100, 40},

	{"launcher_pa_infernoquake", 100, 10},
	{"launcher_pa_homerunhavoc", 100, 20},
	{"launcher_pa_fallenimpact", 100, 30},
	{"launcher_pa_feareraser", 100, 40},
	
	{"saber_pa_ragedance", 100, 10},
	{"saber_pa_strezwei", 100, 20},
	{"handgun_pa_ricochet", 100, 10},
	{"handgun_pa_homingshell", 100, 20},
	
	
	{"gifoie", 100, 10},
	{"rafoie", 100, 20},
	{"safoie", 100, 30},
	{"foverse", 100, 40},
	{"shifta", 100, 20},
	{"jellen", 100, 30},
	{"gibarta", 100, 10},
	{"rabarta", 100, 20},
	{"sabarta", 100, 30},
	{"nabarta", 100, 40},
	{"deband", 100, 20},
	{"zalure", 100, 40},
	{"gizonde", 100, 10},
	{"razonde", 100, 20},
	{"nazonde", 100, 30},
	{"zondeel", 100, 40},
	{"gidiga", 100, 10},
	{"radiga", 100, 20},
	{"diverse", 100, 30},
	{"nosdiga", 100, 40},
	{"grants", 100, 5},
	{"gigrants", 100, 10},
	{"ragrants", 100, 20},
	{"ilgrants", 100, 30},
	{"resta", 100, 20},
	{"megid", 100, 5},
	{"gimegid", 100, 10},
	{"ramegid", 100, 20},
	{"samegid", 100, 30},
	{"ilmegid", 100, 40},
}

PSO.info.arenaShopList = {
	{"monomate", 100},
	{"dimate", 100},
	{"trimate", 100},
	{"moon atomizer", 100},
	{"star atomizer", 100},
	{"sol atomizer", 100},
	{"shiftaride", 100},
	{"debanride", 100},
	{"scape doll", 100},
}

PSO.lib.rollPlayerShop = function(p, shoplist)
	
	local tabl = {}
	local clevel = p.pso.level
	shoplist = $ or PSO.info.shopList
	p.pso.shop = {}	-- reset
	
	for i = 1, #shoplist
		local l = shoplist[i]
		
		if l[3] and clevel < l[3]
		or l[4] and clevel > l[4]
		or l[2] and P_RandomRange(1, 100) > l[2] 
			continue
		end
		
		-- if we've made it here, generate the item
		local it = PSO.lib.makeItem(l[1])
		local info = PSO.lib.itemInfo(it)
		
		local qty = 1
		if type(it) == "string"	-- stackable
			local limit = info.carrylimit or 1
			qty = limit	-- no more bullshitting here.
			--qty = P_RandomRange(limit/2 or 1, limit)
		end
		
		
		table.insert(p.pso.shop, {it, qty})
	end
	
	PSO.lib.playerSortShop(p)
end

COM_AddCommand("psod_resetshop", function(p)

	if not server.psocheats
		print("Enable cheats with 'psod_debugcheats' to use this command")
		return 
	end

	PSO.lib.rollPlayerShop(p)
end)