-- Credits HUD handler and such


PSO.info.credits = {
	"\x82".."SRB2 Infinity ver.2",
	"\x82".."Credits",
	
	"",
	
	"\x82".."Game Design",
	"Lat'",
	"GHNeko",
	
	"",
	
	"\x82".."Level Design",
	"Lat'",
	
	"",
	
	"\x82".."Programming",
	"Lat'",
	
	"",
	
	"\x82".."Programming Assistance",
	"TehRealSalt",		-- Party leader system
	"JohnySpec",		-- Public beta bug busting and code delving...
	
	"",
	
	"\x82".."Sprite Artists",
	"Lat'",
	"TelosTurntable",	-- DF concept art
	"Flacke",			-- Hope Glaive
	"HirukaHaruka",		-- A shitton of weapons
	"Gunla",			-- Crates
	"Pallaris",			-- Pit TCSM
	"Cyron",			-- Pets
	"FAVman33",			-- Crawla TCSM
	"FabulousNinji",	-- Omochao TCSM
	"SpinSlash165",		--  Egg Rock TCSM (unimplemented but in the game files nonetheless as of 2.0.0)
	
	"",
	
	"\x82".."Texture Artists",
	"Lat'",
	"TelosTurntable",	-- Cocoon textures
	"rairai104n",		-- Coast area textures
	"Cyron",			-- arena banner
	
	"",
	
	"\x82".."Testers",
	"GHNeko",
	"Amethrist",
	"Flacke",
	"Mill",
	"Cyron",
	"TelosTurntable",
	"TechnoGod",
	"Snu",
	"Spectorious",
	"Slowboye",
	
	"",
	
	"\x82".."Music Sources",
	"SEGA Sound Team",
	"Go Infinity - PSP2i",
	"Image of Hero - PSO",
	"Valentine - PSO",
	"Raffon Meadow - PSU",
	"Little Wing - PSP2",
	"Weed Out - PSO2",
	"Galenigare Mine - PSU",
	"The Madness the Machine Sparxx - PSU",
	"El Bals Mountain - PSP2",
	"Awoken from Permafrost - PSO2:NGS",
	"Preparation for Battle - PSO2:NGS",
	"'IDOLA' Have the Immortal Feather - PSO",
	"'IDOLA' Have the Divine Blade - PSO",
	"Abandoned City, Mellvore - PSU",
	"Empty Space Out of Control Part 1 - PSO",
	"The Crazy Program - PSO",
	"You have nowhere to go - PSO",
	"Central Mother Probe - PSO2",
	"Emergency - PSO2",
	"Dive into Constellated Sea - PSO2",
	"Tears of the Moon - PSO2",
	"Nostalgia in Solitude Part 2 - PSO",
	"Valhalla - PSO2",
	"The Last Story - PSU",
	"Challenge Lobby - PSO2",
	"Divide Quest Area 1~4 - PSO2",
	
	"",
	"\x82".."THANK YOU FOR PLAYING!",
}

PSO.lib.drawCredits = function(v, x, scroll, flags)
	
	flags = $ or 0
	local y = 200*FRACUNIT - scroll
	
	
	for i = 1, #PSO.info.credits
		
		local str = PSO.info.credits[i]
		local header = str:sub(1,1) == "\x82"
		
		if y > (-10*FRACUNIT) and y < (200*FRACUNIT)
			-- draw that stuff
			v.drawString(x, y, str, (not header and V_ALLOWLOWERCASE or 0)|flags, "thin-fixed")
		end
		
		y = $ + (header and 10 or 8)*FRACUNIT
	end
end