-- Used when the player asks to be healed!
freeslot("sfx_tekkr")

local choices = {
		"Yes",
		"No",
}

local choices = {
"ELEMENT TYPE",
"ELEMENT VALUE",
--"POWER/COST BALANCE",
"APPRAISE",
}

local elem_choices = {
	ELEM_FIRE, ELEM_ICE, ELEM_ELEC, ELEM_EARTH, ELEM_LIGHT, ELEM_DARK
}

local elem_values = {
	30, 40, 50, 55, 60
}

local elem_values_costs = {
	1000, 2500, 5000, 10000, 20000
}

local function appraisalCost(elem_value, rarity)
	return elem_values_costs[elem_value]*rarity
end

local mod_max = 10

local w = 200
local h = 56
local function drawAppraisal(v, p, c, choice, timer)

	local sx = 16
	v.drawString(sx, 2, "\x82".."APPRAISING", V_SNAPTOTOP|V_SNAPTOLEFT)
		
	v.draw(sx, 10, v.cachePatch("H_MST"), V_SNAPTOTOP|V_SNAPTOLEFT)
	v.drawString(sx + 10, 10, "\x82"..PSO.lib.numCommas(p.pso.meseta), V_SNAPTOTOP|V_SNAPTOLEFT)
	
	local x = 160 - w/2
	local y = 100 - h/2
	
	v.drawFill(x, y, w, h, 253)
	
	v.drawString(160, y+2, "WEAPON APPRAISAL", V_YELLOWMAP, "center")
	v.drawFill(x+2, y+11, w-4, 1, 0)
	
	local cy = y+20
	for i = 1, #choices
		
		local c = i == choice	
		local tflag = 0
		local xpos = x + w -64
		
			
		if i == 3	-- confirm

			local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
			local info = PSO.lib.itemInfo(basew)			
			local cost = appraisalCost(p.pso.tekkerpow, info.rarity)
			local rflag = 0	
			
			
			if p.pso.meseta < cost
				tflag = V_50TRANS
				rflag = V_REDMAP
			end
			local xp = x + 80
			v.draw(xp + 8, cy, v.cachePatch("H_MST"))			
			v.drawString(xp, cy, "(  "..PSO.lib.numCommas(cost)..")", rflag)
		end
		
		if i == 1
			local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
			local info = PSO.lib.itemInfo(basew)			
			if info.elem
				tflag = V_50TRANS
			end
		end
		
		v.drawString(x+4, cy, (c and ">" or "")..choices[i], (c and V_YELLOWMAP or 0)|tflag)
		
		-- select element:
		if i == 1
			
			local elemico = "H_ELEM"..elem_choices[p.pso.tekkerelem]
			
			if c and not tflag
				v.drawString(xpos, cy, leveltime%10 < 5 and "<   >" or "<     >", V_YELLOWMAP, "center")
			end
			
			v.draw(xpos-4, cy, v.cachePatch(elemico))
		
		-- elemental value
		elseif i == 2
			local val = elem_values[p.pso.tekkerpow]
			
			local arr_l = c and (leveltime%10 < 5 and "<" or "< ") or ""
			local arr_r = c and (leveltime%10 < 5 and ">" or " >") or ""
			v.drawString(xpos, cy, "\x82"..arr_l.."\x80"..val.."%".."\x82"..arr_r, 0, "center")
			
		-- balance
		/*elseif i == 3
			
			local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
			local info = PSO.lib.itemInfo(basew)
			
			local basepow = info.pa_damage or 100
			local basecost = info.pa_cost or 100
			
			local val = p.pso.tekkermod
			if val > 0	-- more POWER
				basepow = $ + val*2
				basecost = $ + val*3
			elseif val < 0	-- more EFFICIENCY
				basepow = max(1, $ + val*3)
				basecost = max(1, $ + val*2)
			end
			
			v.drawFill(x+4, cy+34, w-8, 1, 0)
			v.drawString(x+4, cy+36, "EFFICIENCY", V_YELLOWMAP, "thin")
			v.drawString(x+w-4, cy+36, "POWER", V_YELLOWMAP, "thin-right")
			
			local visx = 160 + val* ((w/2)/(mod_max+4))
			local powc = "\x80"
			local cosc = "\x80"
			
			if basepow > 100
				powc = "\x85"
			elseif basepow < 100
				powc = "\x84"
			end
			
			if basecost > 100
				cosc = "\x84"
			elseif basecost < 100
				cosc = "\x85"
			end
			
			v.drawString(visx - 22, cy+16, "\x82".."POW: "..powc..basepow.."%\n".."\x82".."COST: "..cosc..basecost.."%", V_RETURN8, "thin")
			if c
				v.drawString(visx, cy+20, leveltime%10 < 5 and "<            >" or "<             >", V_YELLOWMAP, "center")
			end
			
			cy = $+48*/
		end
		
		cy = $+10
	end
end

local function drawAppraiseBar(v, p)

	local aw = 160
	local ah = 30
	local ax = 160 - aw/2
	local ay = 100 - ah/2

	v.drawFill(ax, ay, aw, ah, 253)
			
	if p.pso.tekkerappraise < TICRATE*5/2
			
		v.drawString(160, 90, "\x82".."APPRAISING..", 0, "center")
							
		local barlen = min(aw-7, p.pso.tekkerappraise*(aw-7)/(TICRATE*5/2))
		local percentage = p.pso.tekkerappraise*100/(TICRATE*5/2)
				
		v.drawFill(ax+2, 108, aw-6, 2, 26)
		v.drawFill(ax+2, 108, barlen, 1, 73)
		v.drawString(160, 98, "\x82"..string.format("%03d", percentage).."%", 0, "center")
				
	elseif leveltime%4 < 2
		v.drawString(160, 96, "\x82".."APPRAISAL COMPLETE!", 0, "center")
	end	
end

-- string 'decrypt' function...
-- progress is a number from 0 to 100
local function cryptString(v, str, progress)
	if progress >= 100
		return str
	end
	
	local slen = #str
	local endn = slen*progress/100
	
	local rstr = ""
	for i = 1, slen
		
		local realc = str:sub(i,i)
		if realc != "\n" and i > endn
			
			local addc = string.char(v.RandomRange(33, 126))
			rstr = $..addc
		else
			rstr = $..realc
		end
	end
	
	return rstr
end

local function drawAppraiseFinished(v, p)
		
	local x = 160 - w/2
	local y = 75 - 140/2
	local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
	local info = PSO.lib.itemInfo(basew)
	local timer = p.pso.tekkerappraise
	local fuzz = timer < TICRATE*2
	local sprogress = timer*100 / (TICRATE*2)
	
	v.drawFill(x, y, w, 150, 253)
	
	v.drawString(x+96, y+2, "APPRAISAL RESULTS", V_YELLOWMAP, "thin")
	
	PSO.lib.HUDDrawWeapon(v, x+45, y, 0, info)
	
	local ico = PSO.lib.getItemIcon(basew)
	local name = PSO.lib.getItemName(basew)
	v.draw(x+91+8, y+13, v.cachePatch(ico))
	v.drawString(x+91+18, y+14, cryptString(v, name, sprogress), V_ALLOWLOWERCASE, "thin")
	
	local atkn = fuzz and v.RandomRange(0, 999) or basew.atk
	local elmn = fuzz and v.RandomRange(0, 99) or (basew.elementv or 0)
	local pacost = fuzz and v.RandomRange(0, 999) or (basew.pa_cost or 100)
	local papow = fuzz and v.RandomRange(0, 999) or (basew.pa_damage or 100)
	local req = fuzz and v.RandomRange(0, 999) or (basew.req or 1)
	
	local atk = string.format("%03d", atkn)
	local elm = string.format("%02d", (elmn))
	
	if not fuzz
		if papow > 100
			papow = "\x87"..$
		elseif papow < 100
			papow = "\x84"..$
		end
		
		if pacost > 100
			pacost = "\x84"..$
		elseif pacost < 100
			pacost = "\x87"..$
		end
	end
			
	v.drawString(x+94, y+34, "\x82".."ATTACK:", V_ALLOWLOWERCASE, "thin")
	v.drawString(x+164, y+34, atk, V_ALLOWLOWERCASE, "thin")
	
	if elm
		v.drawString(x+94, y+44, "\x82".."ELEMENT:", V_ALLOWLOWERCASE, "thin")
		v.draw(x+154, y+44, v.cachePatch("H_ELEM"..basew.element))
		v.drawString(x+164, y+44, elm.."%", V_ALLOWLOWERCASE, "thin")
	end

	v.drawString(x+94, y+54, "\x82".."PA DAMAGE:", V_ALLOWLOWERCASE, "thin")
	v.drawString(x+164, y+54, papow.."%", V_ALLOWLOWERCASE, "thin")

	v.drawString(x+94, y+64, "\x82".."PA COST:", V_ALLOWLOWERCASE, "thin")
	v.drawString(x+164, y+64, pacost.."%", V_ALLOWLOWERCASE, "thin")

	v.drawString(x+94, y+74, "\x82".."EQUIP. LEVEL:", V_ALLOWLOWERCASE, "thin")
	v.drawString(x+164, y+74, req, V_ALLOWLOWERCASE, "thin")
	
	local desc = PSO.lib.wordWrap(v, info.desc or "", w-8, V_ALLOWLOWERCASE, "thin")
	v.drawString(x+4, y+94+8, cryptString(v, desc, sprogress), V_ALLOWLOWERCASE|V_RETURN8, "thin")
	
	PSO.lib.HUD_drawItemRarity(v, x+4, y+94, 0, (info.rarity or 1), timer)
	
	v.fadeScreen(p.mo.tfadecolor, p.mo.tfadestrength)
	
end

PSO.info.menus["tekker"] = {
	
	scroll = 7,
	
	openfunc = function(p)
		-- try to find unidentified weapons
		local weps = PSO.lib.findPlayerUnidentifiedWeapons(p)
		
		if not weps or not #weps
			
			PSO.lib.closeMenu(p)
			if p.pso.lastnpc and p.pso.lastnpc.valid and p == consoleplayer
				PSO.lib.spawnChatBox(p.pso.lastnpc, p.pso.lastnpc.pso.name, "It seems you don't have any unidentified weapons requiring my expertise. Come back when you find some.")
			end
			return
		end
		
		p.pso.menu.choices = weps
		p.pso.tekkerweps = weps
		p.pso.menu.minchoice = 1
		p.pso.menu.maxchoice = #weps
		-- this is a hack to let us use the normal inventory display.
		p.pso.tekkerweps_sections = {1, #weps+1}
		p.pso.tekkerwep = 1
		p.pso.tekkerstate = 1
		
	end,
	
	hudfunc = function(v, p, c, choices, choice, timer)
		
		-- inventory selection.
		if p.pso.tekkerstate == 1
			PSO.lib.HUDDrawInventory(v, p, "tekkerweps", 1, p.pso.menu.choice, p.pso.menu.scroll)
			
		elseif p.pso.tekkerstate == 2
			drawAppraisal(v, p, c, p.pso.tekkerc, timer)
		
		elseif p.pso.tekkerstate == 3
			drawAppraiseBar(v, p)
		
		elseif p.pso.tekkerstate == 4
			drawAppraiseFinished(v, p)
		end
	end,
	
	runfunc = function(p)
		local input = PSO.lib.playerInputDown
		
		if p.pso.tekkerstate == 1
			
			/*if input(p, "down") == 1
				S_StartSound(nil, sfx_mhvr, p)
				p.pso.tekkerwep = $+1
				
				if p.pso.tekkerwep > #p.pso.tekkerweps
					p.pso.tekkerwep = 1
				end
				
			elseif input(p, "up") == 1
				S_StartSound(nil, sfx_mhvr, p)
				p.pso.tekkerwep = $-1
				
				if p.pso.tekkerwep < 1
					p.pso.tekkerwep = #p.pso.tekkerweps
				end	*/			
			
			if input(p, IPT_BACK) == 1
				S_StartSound(nil, sfx_mback, p)
				PSO.lib.closeMenu(p)
				return true
				
			elseif input(p, IPT_CONFIRM) == 1
				S_StartSound(nil, sfx_mconf, p)
				p.pso.tekkerstate = 2
				
				p.pso.tekkerwep = p.pso.menu.choice
				p.pso.tekkerc = 1
				p.pso.tekkerelem = 1
				p.pso.tekkerpow = 1
				p.pso.tekkermod = 0
				return true
			end
		
		elseif p.pso.tekkerstate == 2

			local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
			local info = PSO.lib.itemInfo(basew)	
			local elelock = info.elem
				
			if elelock
				p.pso.tekkerelem = elelock
			end
			
			if input(p, "down") == 2
				S_StartSound(nil, sfx_mhvr, p)
				p.pso.tekkerc = $+1
				
				if p.pso.tekkerc > #choices
					p.pso.tekkerc = 1
				end
				
			elseif input(p, "up") == 2
				S_StartSound(nil, sfx_mhvr, p)
				p.pso.tekkerc = $-1
				
				if p.pso.tekkerc < 1
					p.pso.tekkerc = #choices
				end				
			
			elseif input(p, IPT_CONFIRM) == 1
				local basew = p.pso.tekkerweps[p.pso.tekkerwep][1]
				local info = PSO.lib.itemInfo(basew)			
				local cost = appraisalCost(p.pso.tekkerpow, info.rarity)	
				
				if p.pso.meseta < cost
					S_StartSound(nil, sfx_mnot, p)
					return
				end
				
				-- otherwise, apply the changes!
				local basepow = info.pa_damage or 100
				local basecost = info.pa_cost or 100
				
				if p.pso.tekkermod > 0
					basepow = $+p.pso.tekkermod*2
					basecost = $+p.pso.tekkermod*3
				elseif p.pso.tekkermod < 0
					basepow = max(1, $+p.pso.tekkermod*3)
					basecost = max(1, $+p.pso.tekkermod*2)
				end
				
				basew.unidentified = nil
				basew.element = elem_choices[p.pso.tekkerelem]
				basew.elementv = elem_values[p.pso.tekkerpow]
				basew.pa_cost = basecost
				basew.pa_damage = basepow
				
				p.pso.meseta = $-cost
				p.pso.tekkerstate = 3
				p.pso.tekkerappraise = 0
				S_StartSound(nil, sfx_tekkr, p)
			
			elseif input(p, "right") == 1
			or input(p, "right") > TICRATE/2
				
				S_StartSound(nil, sfx_mhvr, p)
				if p.pso.tekkerc == 1 and not elelock
					p.pso.tekkerelem = $+1
					if p.pso.tekkerelem > #elem_choices
						p.pso.tekkerelem = 1
					end
				
				elseif p.pso.tekkerc == 2
					p.pso.tekkerpow = $+1
					if p.pso.tekkerpow > #elem_values
						p.pso.tekkerpow = 1
					end
				
				/*elseif p.pso.tekkerc == 3
					p.pso.tekkermod = $+1
					if p.pso.tekkermod > mod_max
						p.pso.tekkermod = -mod_max
					end*/
				end

			elseif input(p, "left") == 1
			or input(p, "left") > TICRATE/2
				
				S_StartSound(nil, sfx_mhvr, p)
				if p.pso.tekkerc == 1 and not elelock
					p.pso.tekkerelem = $-1
					if p.pso.tekkerelem < 1
						p.pso.tekkerelem = #elem_choices
					end
				
				elseif p.pso.tekkerc == 2
					p.pso.tekkerpow = $-1
					if p.pso.tekkerpow < 1
						p.pso.tekkerpow = #elem_values
					end
				
				/*elseif p.pso.tekkerc == 3
					p.pso.tekkermod = $-1
					if p.pso.tekkermod < -mod_max
						p.pso.tekkermod = mod_max
					end*/
				end			
			
			elseif input(p, IPT_BACK) == 1
				S_StartSound(nil, sfx_mback, p)
				p.pso.tekkerstate = 1
			
			end	
			
			return true
		elseif p.pso.tekkerstate == 3
			
			p.pso.tekkerappraise = $+1	
			if p.pso.tekkerappraise > TICRATE*3
				p.pso.tekkerstate = 4
				p.pso.tekkerappraise = 1
				
				p.mo.tfadecolor = 0
				p.mo.tfadestrength = 10
				
			end
			
			return true
		elseif p.pso.tekkerstate == 4
			
			p.pso.tekkerappraise = $+1
			
			if leveltime%3 == 0
			and p.mo.tfadestrength
				p.mo.tfadestrength = $-1
			end
			
			if input(p, IPT_CONFIRM) == 1
				PSO.lib.closeMenu(p)
			end
			
			return true
		end
		
	end,
}