-- basically a physical AIS object the player can interact with

freeslot("MT_PSO_AIS", "MT_PSO_AIS_INTERACT")

mobjinfo[MT_PSO_AIS] = {
	doomednum = 2537,
	spawnstate = S_INVISIBLE,
	spawnhealth = 1000,
	radius = 64<<FRACBITS,
	height = 256<<FRACBITS,
	flags = MF_SOLID,
}

mobjinfo[MT_PSO_AIS_INTERACT] = {
	doomednum = -1,
	spawnstate = S_INVISIBLE,
	spawnhealth = 1000,
	radius = 64<<FRACBITS,
	height = 128<<FRACBITS,
	flags = MF_NOGRAVITY,
}

-- set physical appearance and spawn the interactable part behind it
addHook("MobjThinker", function(mo)
	
	if not mo.extravalue1
		
		if mo.options & 8
			mo.flags = $|MF_NOBLOCKMAP
			return
		end
		
		mo.sprite = SPR_BRAK
		mo.frame = mo.options & 1 and N or A
		mo.scale = $*13/10
		mo.tics = -1
		mo.pso = {name="A.I.S.", subtext="GET IN"}
		
		-- spawn the thingy thing
		local a = mo.angle + ANG1*180
		local d = 224
		local sx = mo.x + d*cos(a)
		local sy = mo.y + d*sin(a)
		
		local s = P_SpawnMobj(sx, sy, mo.z, MT_PSO_AIS_INTERACT)
		s.target = mo
		s.tics = -1
		
		mo.extravalue1 = 1
	end
end, MT_PSO_AIS)
