
-- 1star
PSO.info.items["frame"] = {
		
		name = "Frame",
		type = IT_ARMOR,
		rarity = 1,
		def = 4,
		
		desc = "Mass produced armour frame that offers a bit of protection. Given to rookies.",
}

PSO.info.items["light frame"] = {
		
		name = "Light Frame",
		type = IT_ARMOR,
		rarity = 1,
		def = 2,
		slots = 1,
		
		desc = "Lightweight frame designed for beginners with customization in mind.",
}

-- 2star
PSO.info.items["scrap frame"] = {
		
		name = "Scrap Frame",
		type = IT_ARMOR,
		rarity = 2,
		def = 10,
		slots = 1,
		hp = 5,
		
		req = 4,
		
		desc = "Frame made from Badnik remains. It's a bit smashed up but surprisingly sturdy.",
}

PSO.info.items["shell frame"] = {
		
		name = "Shell Frame",
		type = IT_ARMOR,
		rarity = 2,
		def = 9,
		slots = 1,
		pp = 2,
		
		req = 4,
		
		desc = "A surprisingly undamaged badnik part. It has room for modifications.",
}

-- 3star
PSO.info.items["tutel frame"] = {
		
		name = "Tutel Frame",
		type = IT_ARMOR,
		rarity = 3,
		def = 16,
		slots = 2,
		hp = 5,
		pp = 2,
		
		req = 7,
		
		desc = "A piece of shell from an oversized badnik. It's sturdy and a bit oversized.",
}

PSO.info.items["stone frame"] = {
		
		name = "Stone Frame",
		type = IT_ARMOR,
		rarity = 3,
		def = 20,
		slots = 2,
		hp = 20,
		
		req = 8,
		
		desc = "An armour made from solid stone found in a canyon. It's heavy but sturdy.",
}

-- 4star
PSO.info.items["reinforced frame"] = {
		
		name = "Reinforced Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 26,
		slots = 3,
		hp = 20,
		
		req = 13,
		
		desc = "A basic armour reinforced to its limits.",
}

PSO.info.items["sneg frame"] = {
		
		name = "Sneg Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 27,
		slots = 3,
		pp = 7,
		
		req = 15,
		
		desc = "An armour made from Badnik parts. It's not sturdy but highly customizeable.",
}

PSO.info.items["icicle frame"] = {
		
		name = "Icicle Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 25,
		slots = 3,
		hp = 10,
		pp = 5,
		
		req = 16,
		
		desc = "An armour made from luminescent ice. It's very cold and extremely uncomfortable but it does protect you, somehow.",
}

-- 5star
PSO.info.items["knight frame"] = {
		
		name = "Knight Frame",
		type = IT_ARMOR,
		rarity = 5,
		def = 39,
		slots = 3,
		hp = 35,
		
		req = 23,
		
		desc = "Armor made from the remains of the Icestabber. It's cold and uncomfortable but really sturdy. It'll have to do.",
}

PSO.info.items["rostig frame"] = {
		
		name = "Rostig Frame",
		type = IT_ARMOR,
		rarity = 5,
		def = 37,
		slots = 2,
		pp = 15,
		
		req = 21,
		
		desc = "Some broken Badnik armour that has rusted due to constant rain. Despite that, it's strong due to being from a high-end model.",
}

-- 6star
PSO.info.items["fehler frame"] = {
		
		name = "Fehler Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 55,
		slots = 3,
		hp = 25,
		pp = 10,
		
		req = 29,
		
		desc = "Broken armour piece from a high-end Badnik model.",
}

PSO.info.items["rebel frame"] = {
		
		name = "Rebel Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 55,
		slots = 3,
		hp = 50,
		
		req = 30,
		
		desc = "Armour once used by those fighting off the Badnik invasion in the city. It's surprisingly advanced despite its age.",
}

PSO.info.items["aileron frame"] = {
		
		name = "Aileron Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 54,
		slots = 3,
		pp = 20,
		
		req = 31,
		
		desc = "A frame resembling a fin, or maybe a wing? It's highly customizeable.",
}

PSO.info.items["smasher frame"] = {
		
		name = "Smasher Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 66,
		slots = 4,
		hp = 15,
		pp = 15,
		
		req = 35,
		
		desc = "High quality shell from a huge Badnik. Just tearing it off was a hassle.",
}

PSO.info.items["magnet frame"] = {
		
		name = "Magnet Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 65,
		slots = 4,
		hp = 15,
		pp = 15,
		
		req = 34,
		
		desc = "Frame held together by magnetic force.",
}

-- 7star

PSO.info.items["hart frame"] = {
		
		name = "Hart Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 71,
		slots = 4,
		hp = 60,
		
		req = 39,
		
		desc = "A sturdy frame made from enhanced Badnik parts.",
}

PSO.info.items["oilspill frame"] = {
		
		name = "Oilspill Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 73,
		slots = 4,
		hp = 30,
		pp = 10,
		
		req = 39,
		
		desc = "A frame initially covered in oil. It's clean and ready for use now.",
}

PSO.info.items["permafrost frame"] = {
		
		name = "Permafrost Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 71,
		slots = 4,
		pp = 20,
		
		req = 40,
		
		desc = "A frame covered in a layer of permafrost It seems as though nothing would ever break or melt it.",
}

PSO.info.items["flow frame"] = {
		
		name = "Flow Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 84,
		slots = 4,
		hp = 40,
		pp = 10,
		
		req = 45,
		
		desc = "A bunch of scrap held together by some unknown force. It's far from comfortable but it's very strong.",
}

PSO.info.items["baston frame"] = {
		
		name = "Baston Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 83,
		slots = 4,
		hp = 30,
		pp = 15,
		
		req = 44,
		
		desc = "An armour of once higher standing that's seen its fair share of battles. Wonder how good it used to be...",
}

-- 8 star
PSO.info.items["makel frame"] = {
		
		name = "Makel Frame",
		type = IT_ARMOR,
		rarity = 8,
		def = 96,
		slots = 4,
		hp = 45,
		pp = 7,
		
		req = 54,
		
		desc = "A frame that looks brand new despite exposure to harsh weather. Must be very resistant.",
}

PSO.info.items["crimson frame"] = {
		
		name = "Crimson Frame",
		type = IT_ARMOR,
		rarity = 8,
		def = 95,
		slots = 4,
		pp = 30,
		hp = -50,
		
		req = 54,
		
		desc = "A frame coated in coagulated blood, giving it a red, shiny look. ...It's best not to know where it came from.",
}

-- 9 star
PSO.info.items["aberrant frame"] = {
		name = "Aberrant Frame",
		type = IT_ARMOR,
		rarity = 9,
		def = 110,
		slots = 4,
		pp = -20,
		hp = 80,
		
		req = 62,
		
		desc = "Badnik scrap severely warped by Falz corruption, giving it unique defensive properties.",
		
}

PSO.info.items["daybreak frame"] = {
		name = "Daybreak Frame",
		type = IT_ARMOR,
		rarity = 9,
		def = 108,
		slots = 4,
		hp = 5,
		pp = 35,
		
		req = 62,
		
		desc = "An orange frame with bright motifs.",
		
}

PSO.info.items["fulgurant frame"] = {
		
		name = "Fulgurant Frame",
		type = IT_ARMOR,
		rarity = 9,
		def = 109,
		slots = 4,
		hp = 50,
		pp = 10,
		
		req = 61,
		
		desc = "A very light frame that boasts incredible technology offering it top of the line defensive properties despite its appearance.",
}

PSO.info.items["angelic frame"] = {
		name = "Angelic Frame",
		type = IT_ARMOR,
		rarity = 10,
		def = 111,
		slots = 5,
		pp = 15,
		hp = 35,
		
		req = 73,
		
		desc = "A frame with intricate designs depicting angels. It radiates still unidentified energy.",
}

PSO.info.items["rappy shine"] = {
		name = "Rappy Shine",
		type = IT_ARMOR,
		rarity = 10,
		def = 1,
		slots = 5,
		hp = 777,
		pp = 77,
		
		req = 71,
		
		desc = "An interesting frame stylized after Rappies. It experiments on a new technology that increases vitality at the cost of paper-thin defence. Whether or not is is effective is very much up for debate.",
}