freeslot("SPR_HGUN")

PSO.info.items["rescue gun"] = {
		
		name = "Rescue Gun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 1,
		atk = 2,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_NONE,
		element = ELEM_FIRE,
		
		range = 1536,
		pa_damage = 10,
		pa_cost = 100,
		
		sound = sfx_shoot,
		
		cost = 0,
		
		desc = "Left handed weapon. A handgun used to fire flares. It's ineffective at combat and is given for free to anyone who asks for one.",
		
}

PSO.info.items["handgun"] = {
		
		name = "Handgun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_FLAME,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "state of the art",
		
		desc = "Left handed weapon. Mass produced handgun with a simple design that just about anyone can use effectively.",
		
}

PSO.info.items["azul brave"] = {
		
		name = "Azul Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 2,
		atk = 28,
		
		elem = ELEM_ICE,
		
		sprite = SPR_HGUN,
		frame = L,
		color = SKINCOLOR_BLUE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 4,
		
		sound = sfx_shoot,
		potential = "lifespring",
		
		desc = "Left handed weapon. A handgun made of mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["lockgun"] = {
		
		name = "Lockgun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_BLUE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 4,
		
		sound = sfx_shoot,
		potential = "state of the art",
		
		desc = "Left handed weapon. A handgun that improves over the original design with more firepower.",
		
}

PSO.info.items["exiled brave"] = {
		
		name = "Exiled Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 3,
		atk = 43,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_HGUN,
		frame = M,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 8,
		
		sound = sfx_shoot,
		potential = "firm stance",
		
		desc = "Left handed weapon. A Handgun dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, damaging the barrel.",
		
}

PSO.info.items["autogun"] = {
		
		name = "Autogun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 3,
		atk = 38,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_MINT,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 8,
		potential = "state of the art",
		
		sound = sfx_shoot,
		
		desc = "Left handed weapon. A handgun with a rather confusing name, since it isn't exactly an automatic weapon...",
		
}

-- 4 star
PSO.info.items["boreal brave"] = {
		
		name = "Boreal Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 4,
		atk = 55,
		
		elem = ELEM_ICE,
		
		sprite = SPR_HGUN,
		frame = N,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 13,
		
		sound = sfx_shoot,
		potential = "soulspring",
		
		desc = "Left handed weapon. A Handgun forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["beamgun"] = {
		
		name = "Beamgun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_HGUN,
		frame = C,
		color = SKINCOLOR_FLAME,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 16,
		
		pa_damage = 90,
		pa_cost = 90,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. A simplistic handgun with high output and a great ease of use.",
		
}

PSO.info.items["peacekeeper"] = {
		
		name = "Peacekeeper",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_HGUN,
		frame = D,
		color = SKINCOLOR_FLAME,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 16,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. A handgun based off of old traditional guns. The barrel is just for show, and everyone loves it.",
		
}

-- 5star
PSO.info.items["resurgent brave"] = {
		
		name = "Resurgent Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 5,
		atk = 72,
		
		sprite = SPR_HGUN,
		frame = P,
		effectcolor = SKINCOLOR_RED,
		
		range = 1536,
		
		req = 23,
		
		sound = sfx_shoot,
		potential = "hopeless manoeuver",
		
		desc = "Left handed weapon. A Handgun dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva beamgun"] = {
		
		name = "Alva Beamgun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 5,
		atk = 68,
		
		sprite = SPR_HGUN,
		frame = C,
		color = SKINCOLOR_PURPLE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 24,
		
		pa_damage = 90,
		pa_cost = 90,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. An improvement over the previous model in every way with no compromise.",
		
}

PSO.info.items["alva peacekeeper"] = {
		
		name = "Alva Peacekeeper",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 5,
		atk = 68,
		
		sprite = SPR_HGUN,
		frame = D,
		color = SKINCOLOR_PURPLE,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 24,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. Improved handgun, it keeps the barrel and places reactors inside to enhance the power of each shot.",
		
}

-- 6star
for i = 1,3
PSO.info.items["handgun proto "..i] = {
		
		name = "HG-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "prototype unit ver."..i,
		
		desc = "Left handed weapon. An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
	
}
end

PSO.info.items["handgun proto 4"] = {
		
		name = "HG-AR004",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "prototype modchip",
		
		desc = "Left handed weapon. A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",	
}

PSO.info.items["handgun proto 5"] = {
		
		name = "HG-AR005",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_HGUN,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_shoot,
		potential = "tame prototype",
		
		desc = "Left handed weapon. A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
		
}

PSO.info.items["vita beamgun"] = {
		
		name = "Vita Beamgun",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_HGUN,
		frame = C,
		color = SKINCOLOR_GOLD,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 31,
		
		pa_damage = 90,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. This model was pushed to its limit but keeps a decent photon affinity for its power output.",
		
}

PSO.info.items["vita peacekeeper"] = {
		
		name = "Vita Peacekeeper",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_HGUN,
		frame = D,
		color = SKINCOLOR_GOLD,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 110,
		
		req = 31,
		
		sound = sfx_shoot,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. The reactors inside the makeshift barrel were improved to increase the output, but that came at the cost of photon efficiency.",
		
}

-- 7star
PSO.info.items["gyras brave"] = {
		
		name = "Gyras Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 7,
		atk = 100,
		
		req = 40,	-- lv req
		range = 1536,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_HGUN,
		frame = Q,

		iyoffset = -20,
		
		potential = "aberration slayer",
		
		desc = "Left handed weapon. A Handgun taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel brave"] = {
		
		name = "Fusiel Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 7,
		atk = 91,
		
		elem = ELEM_ICE,
		
		sprite = SPR_HGUN,
		frame = O,
		
		range = 1536,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 35,
		
		sound = sfx_shoot,
		potential = "serene spirit",
		
		desc = "Left handed weapon. A Handgun created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl orphan"] = {
		
		name = "Orakl Orphan",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 7,
		atk = 101,
		
		sprite = SPR_HGUN,
		frame = B,
		
		range = 1536,
		pa_cost = 90,
		
		req = 41,
		
		sound = sfx_shoot,
		potential = "perfect rhythm",
		
		desc = "Left handed weapon. Has an ARKS moniker but was never actually made by ARKS. Nobody knows where it came from, but there were two of them originally.",
		
}

PSO.info.items["poss shooter"] = {
		
		name = "POSS Shooter",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 7,
		atk = 92,
		
		sprite = SPR_HGUN,
		frame = E,
		effectcolor = SKINCOLOR_GOLD,
		
		range = 1536,
		pa_cost = 105,
		
		req = 35,
		
		sound = sfx_trfire,
		potential = "weak barrel",
		
		desc = "Left handed weapon. Handgun made from the Crawla's newly found shooting technology. It's not very strong but quite fast.",
		
}

-- 8star
PSO.info.items["yasminkov 2000h"] = {
		
		name = "Yasminkov 2000H",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 8,
		atk = 120,
		
		sprite = SPR_HGUN,
		frame = F,
		
		range = 2048,
		
		req = 50,
		potential = "renowned consistency",
		
		sound = sfx_shoot,
		
		desc = "Left handed weapon. A Handgun from the new Yasminkov series, esteemed for its slick look and a mounted scope that allows it to take shots from afar.",
		
}

PSO.info.items["sarcueid"] = {
		
		name = "Sarcueid",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 8,
		atk = 120,
		
		sprite = SPR_HGUN,
		frame = G,
		
		range = 1536,
		pa_cost = 85,
		
		req = 50,
		
		sound = sfx_shoot,
		potential = "oath to a new dawn",
		
		desc = "Left handed weapon. A custom made Handgun that was made for ease of use. Only a few were made.",
		
}

-- 9star
PSO.info.items["resplendant brave"] = {
		
		name = "Resplendent Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 9,
		atk = 140,
		
		sprite = SPR_HGUN,
		frame = R,
		effectcolor = SKINCOLOR_ORANGE,
		
		range = 1536,
		
		req = 55,
		
		sound = sfx_shoot,
		potential = "glimmer of hope",
		
		desc = "Left handed weapon. The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["varista"] = {
		
		name = "Varista",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 9,
		atk = 150,
		
		pa_power = 105,
		
		sprite = SPR_HGUN,
		frame = H,
		
		range = 1536,
		
		req = 60,
		
		sound = sfx_shoot,
		
		potential = "high voltage shell",
		
		desc = "Left handed weapon. A Handgun originally intended for mass production before the Badnik invasion. Only few of them were upgraded with Photon reactors.",
		
}

PSO.info.items["bravace"] = {
		
		name = "Bravace",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 9,
		atk = 150,
		
		sprite = SPR_HGUN,
		frame = I,
		
		range = 1536,
		
		req = 60,
		
		sound = sfx_shoot,
		
		potential = "remote guidance",
		
		desc = "Left handed weapon. A makeshift Handgun made from spare metallic parts and a visor from defeated enemies. The parts used for it made it surprisingly powerful.",
		
}

-- 10star
PSO.info.items["ruby bullet"] = {
		
		name = "Ruby Bullet",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 10,
		atk = 180,
		
		sprite = SPR_HGUN,
		frame = J,
		
		range = 1536,
		
		req = 70,
		
		sound = sfx_shoot,
		potential = "scorching round",
		
		desc = "Left handed weapon. A Handgun using a powerful generator that generates intense heat. Its bullet sets their target ablaze.",
		
}

PSO.info.items["pandora extreme"] = {
		
		name = "Pandora Extreme",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 10,
		atk = 180,
		
		sprite = SPR_HGUN,
		frame = K,
		
		range = 1536,
		pa_damage = 80,
		pa_cost = 135,
		
		req = 70,
		
		sound = sfx_shoot,
		potential = "ex barrel",
		
		desc = "Left handed weapon. A Handgun with a special mechanism that disperses bullets. Its power doubles if the wielder is at full health.",
		
}

PSO.info.items["warrior's pistolet"] = {
		
		name = "Warrior's Pistolet",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 10,
		atk = 171,
		
		req = 70,	-- lv req
		
		sprite = SPR_HGUN,
		frame = T,
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_shoot,
		potential = "dynamo charge",
		
		iyoffset = -10,
		range = 1536,
		
		desc = "Left handed weapon. An experimental Handgun awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["evoker"] = {
		
		name = "Evoker",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		patype = WPT_TECHMAG,	-- THIS SUCKS
		/*
		BE CAREFUL:
		Do not set 2h weapons here if the base weapon is 1 handed
		Do not set right handed weapons if the base weapon is left handed and vice versa unless it is for techniques
		*/
		
		rarity = 11,
		atk = 191,
		
		req = 74,	-- lv req
		
		sprite = SPR_HGUN,
		frame = U,
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_shoot,
		potential = "1more",
		
		iyoffset = -10,
		range = 1536,
		
		desc = "Left handed weapon. An item resembling a handgun... but cannot be used as one as it doesn't fire anything. Yet you feel compelled to point it away from your enemies...",
}

-- 11*
PSO.info.items["lumiel brave"] = {
		
		name = "Lumiel Brave",
		type = IT_WEAPON,
		weapontype = WPT_HANDGUN,
		rarity = 11,
		atk = 190,
		
		req = 80,	-- lv req
		
		sprite = SPR_HGUN,
		frame = S,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_shoot,
		potential = "spark of hope",
		
		desc = "Left handed weapon. The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}