freeslot("SPR_LAUC")

PSO.info.items["launcher"] = {
		
		name = "Launcher",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 1,
		atk = 20,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_FLAME,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "state of the art",
		
		desc = "Mass produced Launcher. It's heavy but the recoil is manageable even for beginners.",
		
}

PSO.info.items["azul proud"] = {
		
		name = "Azul Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 2,
		atk = 35,
		
		elem = ELEM_ICE,
		
		sprite = SPR_LAUC,
		frame = L,
		color = SKINCOLOR_SAPPHIRE,
		
		req = 4,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		--iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "lifespring",
		
		desc = "An Launcher made from mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["bomber"] = {
		
		name = "Bomber",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 2,
		atk = 32,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_SAPPHIRE,
		
		req = 4,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "state of the art",
		
		desc = "An improved Launcher model commonly operated by several operatives in the millitary.",
		
}

PSO.info.items["exiled proud"] = {
		
		name = "Exiled Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 3,
		atk = 45,
		req = 8,
		
		elem = ELEM_EARTH,
		
		range = 2048,
		sprite = SPR_LAUC,
		frame = M,

		-- inventory offsets
		--iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "firm stance",
		
		desc = "A Launcher dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, damaging the barrel.",
}

PSO.info.items["tagvalve"] = {
		
		name = "Tagvalve",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 3,
		atk = 42,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_MINT,
		
		req = 9,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "state of the art",
		
		desc = "The original Launcher model brought to its limits. It's quite a bit heavier but worth the additional firepower.",
}

-- 4*
PSO.info.items["boreal proud"] = {
		
		name = "Boreal Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 4,
		atk = 60,
		req = 13,
		
		elem = ELEM_ICE,
		
		range = 2048,
		sprite = SPR_LAUC,
		frame = N,

		-- inventory offsets
		--iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "soulspring",
		
		desc = "A Launcher forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["drivel"] = {
		
		name = "Drivel",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 4,
		atk = 53,
		
		sprite = SPR_LAUC,
		frame = B,
		color = SKINCOLOR_FLAME,
		req = 16,
		
		range = 2048,
		pa_damage = 90,
		pa_cost = 90,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "A lightweight Launcher made with portability and efficiency in mind, it's slightly less powerful but the tradeoff is well worth it.",
		
}

PSO.info.items["grenade"] = {
		
		name = "Grenade",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 4,
		atk = 55,
		
		sprite = SPR_LAUC,
		frame = C,
		color = SKINCOLOR_FLAME,
		
		req = 16,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "A new Launcher model that's both lighter and more powerful than the original line of Launchers.",
		
}

-- 5*
PSO.info.items["resurgent proud"] = {
		
		name = "Resurgent Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 5,
		atk = 75,
		
		req = 23,	-- lv req
		
		range = 2048,
		sprite = SPR_LAUC,
		frame = P,
		effectcolor = SKINCOLOR_RED,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "hopeless manoeuver",
		
		desc = "A Launcher dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva drivel"] = {
		
		name = "Alva Drivel",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 5,
		atk = 68,
		
		sprite = SPR_LAUC,
		frame = B,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 2048,
		pa_damage = 90,
		pa_cost = 90,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "An imrpoved Drivel with a higher power output that retains the efficiency of the original model.",
		
}

PSO.info.items["alva grenade"] = {
		
		name = "Alva Grenade",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 5,
		atk = 70,
		
		sprite = SPR_LAUC,
		frame = C,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "An imrproved Grenade that retains the pros of the original model while improving its output.",
		
}

-- 6*
for i = 1, 3
PSO.info.items["launcher proto "..i] = {
		
		name = "LC-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "prototype unit ver."..i,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}
end

PSO.info.items["launcher proto 4"] = {
		
		name = "LC-AR004",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "prototype modchip",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}

PSO.info.items["launcher proto 5"] = {
		
		name = "LC-AR005",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_LAUC,
		frame = A,
		color = SKINCOLOR_GREY,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "tame prototype",
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}



PSO.info.items["vita drivel"] = {
		
		name = "Vita Drivel",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 6,
		atk = 85,
		
		sprite = SPR_LAUC,
		frame = B,
		color = SKINCOLOR_GOLD,
		
		req = 31,
		
		range = 2048,
		pa_damage = 90,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "Compromises had to be made to maximize the power output, but this is nothing beyond what the original Launcher models required of the user.",
		
}

PSO.info.items["vita grenade"] = {
		
		name = "Vita Grenade",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 6,
		atk = 85,
		
		sprite = SPR_LAUC,
		frame = C,
		color = SKINCOLOR_GOLD,
		
		req = 31,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 110,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "photonic keeper",
		
		desc = "A design that shows its limit as the power consumption has become higher than that of regular Launchers', which is definitely felt.",
		
}

-- 7*
PSO.info.items["gyras proud"] = {
		
		name = "Gyras Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		range = 2048,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_LAUC,
		frame = Q,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "aberration slayer",
		
		desc = "A Launcher taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel proud"] = {
		
		name = "Fusiel Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 7,
		atk = 99,
		req = 35,
		
		elem = ELEM_ICE,
		
		range = 2048,
		sprite = SPR_LAUC,
		frame = O,

		-- inventory offsets
		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "serene spirit",
		
		desc = "A Launcher created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["hatted cannon"] = {
		
		name = "Hatted Cannon",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 7,
		atk = 101,
		
		elem = ELEM_ICE,
		
		sprite = SPR_LAUC,
		frame = E,
		
		req = 35,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 105,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "frozen cannonball",
		
		desc = "A Pop Hat converted into a weapon. Minimal changes had to be made, it's not like this thing can fight back if you're holding on tight!",
		
}

PSO.info.items["orakl launcher"] = {
		
		name = "Orakl Launcher",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 7,
		atk = 101,
		
		sprite = SPR_LAUC,
		frame = D,
		
		req = 41,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 90,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "perfect rhythm",
		
		desc = "An unconventional design not manufactured by ARKS despite the moniker. It beats everything ARKS has officially manufactured.",
}

-- 8star
PSO.info.items["saint kilda"] = {
		
		name = "Saint Kilda",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 8,
		atk = 140,
		
		sprite = SPR_LAUC,
		frame = G,
		
		req = 50,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "perfect keeper",
		
		desc = "A Launcher that fires artillery shells. Its size matches its power, and its ease of use makes it very popular.",
}

PSO.info.items["photon launcher"] = {
		
		name = "Photon Launcher",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 8,
		atk = 140,
		
		sprite = SPR_LAUC,
		frame = F,
		
		req = 50,
		
		range = 2048,
		pa_damage = 110,
		pa_cost = 120,
		
		sound = sfx_sblst1,
		potential = "density disruption",
		
		desc = "An old Launcher model that fires condensed Photon bullets with enough power to easily shatter large boulders.",
}

-- 9star
PSO.info.items["resplendant proud"] = {
		
		name = "Resplendent Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		range = 2048,
		sprite = SPR_LAUC,
		frame = R,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["charge howzer"] = {
		
		name = "Charge Howzer",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 9,
		atk = 170,
		
		sprite = SPR_LAUC,
		frame = H,
		
		req = 60,
		
		range = 4096,
		pa_damage = 80,
		pa_cost = 100,
		
		iyoffset = -10,
		
		sound = sfx_sblst1,
		
		potential = "charged intent",
		
		desc = "A Launcher designed around a thrusting spear motif. The long barrel has a telescoping mechanism, giving it absurd range.",
}

PSO.info.items["gur bazga"] = {
		
		name = "Gur Bazga",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 9,
		atk = 170,
		
		sprite = SPR_LAUC,
		frame = I,
		
		req = 60,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 100,
		
		sound = sfx_sblst1,
		potential = "well worn overheating",
		
		iyoffset = -10,
		
		desc = "A Launcher with multiple parallel reactors. An excellent model with high power and stable output.",
}

-- 10star
PSO.info.items["inferno bazooka"] = {
		
		name = "Inferno Bazooka",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 10,
		atk = 200,
		
		sprite = SPR_LAUC,
		frame = J,
		
		req = 70,
		
		range = 512,
		pa_damage = 105,
		pa_cost = 120,
		
		sound = sfx_sblst1,
		potential = "contact ignition",
		
		desc = "A Launcher which boasts unparalleled destructive force, it's short ranged but packs a mean punch.",
}

PSO.info.items["sspm launcher"] = {
		
		name = "SSPM Launcher",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 10,
		atk = 200,
		
		sprite = SPR_LAUC,
		frame = K,
		
		req = 70,
		
		range = 3184,
		pa_damage = 80,
		pa_cost = 110,
		
		sound = sfx_sblst1,
		potential = "heatseeker",
		
		desc = "Launches Surface to Surface Photon Missiles, in practice, this means it has a heat seeking system to track targets with exceptional accuracy! This does come at the cost of some power, unfortunately.",
}

PSO.info.items["warrior's lanceur"] = {
		
		name = "Warrior's Lanceur",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_LAUC,
		frame = T,
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sblst1,
		potential = "dynamo charge",
		
		iyoffset = -10,
		range = 2048,
		
		desc = "An experimental Launcher awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

freeslot("sfx_tfrck")
PSO.info.items["fortress crocket"] = {
		
		name = "Fortress Crocket",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 11,
		atk = 211,
		
		req = 74,	-- lv req
		
		sprite = SPR_LAUC,
		frame = U,
		
		pa_cost = 200,
		pa_damage = 90,
		effectcolor = SKINCOLOR_YELLOW,
		
		sound = sfx_tfrck,
		potential = "pure skill",
		
		iyoffset = -10,
		range = 2048,
		
		desc = "A standard rocket launcher intended only for those with great skill. Curiously, it can fire several rockets placed back to back inside of the cannon.",
}

-- 11*
PSO.info.items["lumiel proud"] = {
		
		name = "Lumiel Proud",
		type = IT_WEAPON,
		weapontype = WPT_LAUNCHER,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_LAUC,
		frame = S,

		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sblst1,
		potential = "spark of hope",
		
		range = 2048,
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}