-- 1star
freeslot("SPR_ROD2")

PSO.info.items["rod"] = {
		
		name = "Rod",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 1,
		atk = 20,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		potential = "state of the art",
		
		iyoffset = -10,
		ixoffset = -6,
		
		desc = "Mass produced Rod. Given to rookie Forces for a balance of casting speed and power, making it useful in the heat of battle.",
}

PSO.info.items["cane"] = {
		
		name = "Cane",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 1,
		atk = 24,
		
		sprite = SPR_ROD1,
		frame = C,
		splatframe = D,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		
		pa_cost = 110,
		pa_damage = 105,
		potential = "state of the art",

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A rod with more powerful reactors that enhance the power of Techniques by opting to sacrifice photon efficiency instead of casting speed.",
}

PSO.info.items["half-cane"] = {
		
		name = "Half-Cane",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 1,
		atk = 16,
		
		sprite = SPR_ROD1,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		
		pa_cost = 90,
		pa_damage = 95,
		potential = "state of the art",

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "An experimental Cane cut in half that ended up succesful among rookies for its lower Technique cost and negligible power loss.",
}

-- 2star
PSO.info.items["azul staff"] = {
		
		name = "Azul Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 2,
		atk = 35,
		req = 4,
		
		elem = ELEM_ICE,
		
		sprite = SPR_ROD2,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_SAPPHIRE,
		potential = "lifespring",
		
		range = 1024,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A Rod made up of mossy rocks and water held together by photons. It radiates life.",
}

PSO.info.items["baton"] = {
		
		name = "Baton",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 2,
		atk = 35,
		req = 4,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_SAPPHIRE,
		potential = "state of the art",
		
		range = 1024,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A stronger Rod designed for use by beginners. Many prefer it to the original Rod just for its colour.",
}

PSO.info.items["helixen"] = {
		
		name = "Helixen",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 2,
		atk = 41,
		req = 5,
		
		sprite = SPR_ROD1,
		frame = C,
		splatframe = D,
		color = SKINCOLOR_SAPPHIRE,
		potential = "state of the art",
		
		range = 1024,
		
		pa_cost = 110,
		pa_damage = 105,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A Rod designed for use by the millitary by virtue of sheer firepower. ...It ended up barely being used due to its poor photon affinity.",
}

PSO.info.items["half-helixen"] = {
		
		name = "Half-Helixen",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 2,
		atk = 31,
		req = 3,
		
		sprite = SPR_ROD1,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_SAPPHIRE,
		potential = "state of the art",
		
		range = 1024,
		
		pa_cost = 90,
		pa_damage = 95,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "Fed up with the photon affinity, millitary members had begun snapping the tip of their Helixen in half to make it more usable. A succesful attempt.",
}

-- 3star
PSO.info.items["exiled staff"] = {
		
		name = "Exiled Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 3,
		atk = 45,
		req = 8,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_ROD2,
		frame = C,
		splatframe = D,
		potential = "firm stance",
		
		range = 1024,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A Rod dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, damaging the reactors.",
}

PSO.info.items["ulrod"] = {
		
		name = "Ulrod",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 3,
		atk = 45,
		req = 8,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_MINT,
		potential = "state of the art",
		
		range = 1024,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A stronger Rod designed for use by beginners. This is the peak output achievable by this model",
}

PSO.info.items["luciel"] = {
		
		name = "Luciel",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 3,
		atk = 43,
		req = 9,
		
		sprite = SPR_ROD1,
		frame = C,
		splatframe = D,
		color = SKINCOLOR_MINT,
		potential = "state of the art",
		
		range = 1024,
		
		pa_cost = 110,
		pa_damage = 105,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "Despite the unpopularity of the Helixen in the millitary, many freelances had taken a liking to it which justified manufacturing of an improved version.",
}

PSO.info.items["half-luciel"] = {
		
		name = "Half-Luciel",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 3,
		atk = 43,
		req = 8,
		
		sprite = SPR_ROD1,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_MINT,
		potential = "state of the art",
		
		range = 1024,
		
		pa_cost = 90,
		pa_damage = 95,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "An officially produced neutred version of the Luciel after seeing what was being done with Helixens given out to the millitary, they're extremely popular!",
}

-- 4star
PSO.info.items["boreal staff"] = {
		
		name = "Boreal Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 4,
		atk = 60,
		req = 13,
		
		sprite = SPR_ROD2,
		frame = E,
		splatframe = F,
		potential = "soulspring",
		
		elem = ELEM_ICE,
		
		range = 1024,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A Rod forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["crescent"] = {
		
		name = "Crescent",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 4,
		atk = 55,
		req = 16,
		
		sprite = SPR_ROD1,
		frame = I,
		splatframe = J,
		color = SKINCOLOR_FLAME,
		
		potential = "photonic keeper",
		range = 1024,
		
		desc = "A rod that resembles a giant scythe, it's popular for its looks alone, but its power is nothing to scoff at.",
}

PSO.info.items["crest"] = {
		
		name = "Crest",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 4,
		atk = 55,
		req = 16,
		
		sprite = SPR_ROD1,
		frame = K,
		splatframe = L,
		color = SKINCOLOR_FLAME,
		
		pa_damage = 90,
		pa_cost = 90,

		iyoffset = -10,
		ixoffset = -4,
		
		range = 1024,
		potential = "photonic keeper",
		
		desc = "A bulkier rod popular for its high capacity reactors, although compromises had to be made on the output to keep them affordable.",
}

-- 5star
PSO.info.items["resurgent staff"] = {
		
		name = "Resurgent Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 5,
		atk = 75,
		
		req = 23,	-- lv req
		
		sprite = SPR_ROD2,
		frame = I,
		splatframe = J,
		effectcolor = SKINCOLOR_RED,

		iyoffset = -10,
		
		range = 1024,
		
		potential = "hopeless manoeuver",
		
		desc = "A Rod dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva crescent"] = {
		
		name = "Alva Crescent",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 5,
		atk = 69,
		req = 24,
		
		sprite = SPR_ROD1,
		frame = I,
		splatframe = J,
		color = SKINCOLOR_PURPLE,
		
		range = 1024,
		potential = "photonic keeper",
		
		desc = "An improved version of the Crescent with no drawbacks for advanced users.",
}

PSO.info.items["alva crest"] = {
		
		name = "Alva Crest",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 5,
		atk = 68,
		req = 24,
		
		sprite = SPR_ROD1,
		frame = K,
		splatframe = L,
		color = SKINCOLOR_PURPLE,
		
		pa_damage = 90,
		pa_cost = 90,

		iyoffset = -10,
		ixoffset = -4,
		
		range = 1024,
		potential = "photonic keeper",
		
		desc = "An improved version of the Crest that stays true to its original intentions of providing higher efficiency.",
}

-- 6star
for i = 1, 3
PSO.info.items["rod proto "..i] = {
		
		name = "RD-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		range = 1024,
		potential = "prototype unit ver."..i,
		
		iyoffset = -10,
		ixoffset = -6,
		
		desc = "An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",

}
end
PSO.info.items["rod proto 4"] = {
		
		name = "RD-AR004",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		range = 1024,
		potential = "prototype modchip",
		
		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
}

PSO.info.items["rod proto 5"] = {
		
		name = "RD-AR005",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_ROD1,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		range = 1024,
		potential = "tame prototype",
		
		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
}


PSO.info.items["vita crescent"] = {
		
		name = "Vita Crescent",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 6,
		atk = 85,
		req = 31,
		
		sprite = SPR_ROD1,
		frame = I,
		splatframe = J,
		color = SKINCOLOR_GOLD,
		
		range = 1024,
		
		pa_cost = 110,
		potential = "photonic keeper",
		
		desc = "The design ended up getting in the way of photon efficiency, thus a choice was made to maximize power for this final release of the Crescent.",
}

PSO.info.items["vita crest"] = {
		
		name = "Vita Crest",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 6,
		atk = 85,
		req = 31,
		
		sprite = SPR_ROD1,
		frame = K,
		splatframe = L,
		color = SKINCOLOR_GOLD,
		
		pa_damage = 90,

		iyoffset = -10,
		ixoffset = -4,
		
		range = 1024,
		potential = "photonic keeper",
		
		desc = "The most powerful version of the Crest, despite the loss of efficiency, many prefer it to the final release of the Crescent for its photon affinity.",
}

-- 7 star
PSO.info.items["gyras staff"] = {
		
		name = "Gyras Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 7,
		atk = 111,
		
		req = 40,	-- lv req
		range = 1024,
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_ROD2,
		frame = K,
		splatframe = L,	-- while swinging.

		iyoffset = -20,
		
		potential = "aberration slayer",
		
		desc = "A Rod taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel staff"] = {
		
		name = "Fusiel Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 7,
		atk = 99,
		req = 35,
		
		sprite = SPR_ROD2,
		frame = G,
		splatframe = H,
		potential = "serene spirit",
		
		range = 1024,

		elem = ELEM_ICE,

		iyoffset = -10,
		ixoffset = -6,
		
		desc = "A Rod created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl rod"] = {
		
		name = "Orakl Rod",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 7,
		atk = 110,
		req = 41,
		
		sprite = SPR_ROD1,
		frame = G,
		splatframe = H,
		
		range = 1024,

		iyoffset = -16,
		
		pa_cost = 90,
		potential = "perfect rhythm",
		
		desc = "A rod of unknown origin with an ARKS moniker despite never having been made by ARKS. It's very powerful despite a dead simple design principle.",
}

PSO.info.items["ice stabberrod"] = {
		
		name = "Ice Stabberrod",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 7,
		atk = 101,
		req = 35,
		
		sprite = SPR_ROD1,
		frame = M,
		splatframe = N,
		
		elem = ELEM_ICE,
		
		range = 1024,

		iyoffset = -10,
		
		pa_cost = 105,
		potential = "ice wave",
		
		desc = "A decayed frozen spear from an imposing Badnik. It's hardly usable as a melee weapon anymore, but has good affinity with ice techniques.",
}

-- 8star
PSO.info.items["red processor"] = {
		
		name = "Red Processor",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 8,
		atk = 140,
		req = 50,
		
		sprite = SPR_ROD1,
		frame = O,
		splatframe = P,
		
		range = 1024,
		
		iyoffset = -16,
		
		pa_cost = 60,
		pa_damage = 65,
		potential = "optimization protocol",
		
		desc = "Rod made from salvaged machine components, making it a bit lacking in power. Its defining feature is a CPU that uses Photons more efficiently.",
}

PSO.info.items["clarita visas"] = {
		
		name = "Clarita Visas",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 8,
		atk = 140,
		req = 50,
		
		sprite = SPR_ROD1,
		frame = Q,
		splatframe = R,
		
		range = 1024,
		
		iyoffset = -16,
		
		pa_cost = 100,
		pa_damage = 110,
		potential = "clear intention",
		
		desc = "A Rod said to allow its wielder to have a mind as clear as its frame to unleash devastating Techniques. ...In actuality, it's nothing too special.",
}

-- 9star
PSO.info.items["resplendant staff"] = {
		
		name = "Resplendent Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 9,
		atk = 155,
		
		req = 55,	-- lv req
		
		sprite = SPR_ROD2,
		frame = M,
		splatframe = N,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		range = 1024,
		
		potential = "glimmer of hope",
		
		desc = "The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["battle verge"] = {
		
		name = "Battle Verge",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 9,
		atk = 170,
		req = 60,
		
		sprite = SPR_ROD1,
		frame = S,
		splatframe = T,
		
		range = 1024,
		
		iyoffset = -10,
		
		pa_cost = 100,
		pa_damage = 110,
		
		potential = "close quarters",
		
		desc = "A Rod that was made to allow for melee combat in emergencies, although this is rarely needed given its high Technique power output.",
}

PSO.info.items["brave hammer"] = {
		
		name = "Brave Hammer",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 9,
		atk = 170,
		req = 60,
		
		sprite = SPR_ROD1,
		frame = U,
		splatframe = V,
		
		range = 1024,
		
		iyoffset = -10,
		
		pa_cost = 90,
		pa_damage = 100,
		
		potential = "photon saviour",
		
		desc = "A Rod made from rare minerals. It's even harder to find them since the Badnik occupation began, so only few of these Rods were ever made.",
}

-- 10star
PSO.info.items["demonic fork"] = {
		
		name = "Demonic Fork",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 10,
		atk = 200,
		req = 70,
		
		sprite = SPR_ROD1,
		frame = W,
		splatframe = X,
		
		range = 1024,
		
		pa_cost = 110,
		pa_damage = 90,
		
		potential = "devil's pierce",
		desc = "A Rod that visits misfortune onto its owner and their foes both. The shape of the Rod lets malevolence seep deep through and past targets...",
}

PSO.info.items["siren hammer"] = {
		
		name = "Siren Hammer",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 10,
		atk = 200,
		req = 70,
		
		sprite = SPR_ROD1,
		frame = Y,
		splatframe = Z,
		
		range = 1024,
		
		pa_cost = 115,
		pa_damage = 100,
		
		potential = "siren glass",
		desc = "A holy Rod capable of harnessing the elements to power up the Light within its crystals. It was apparently once used to defeat a great evil, the details of which are lost to time, and the preoccupations of war.",
}

PSO.info.items["warrior's cane"] = {
		
		name = "Warrior's Cane",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 10,
		atk = 191,
		
		req = 70,	-- lv req
		
		sprite = SPR_ROD2,
		frame = Q,
		splatframe = R,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		range = 1024,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "An experimental Rod awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["tryshta"] = {
		
		name = "Tryshta",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 11,
		atk = 211,
		req = 74,
		
		sprite = SPR_ROD2,
		frame = S,
		splatframe = T,
		
		range = 1024,
		
		pa_cost = 110,
		pa_damage = 90,
		
		iyoffset = -15,
		
		potential = "afflatus misery",
		desc = "A Rod of unknown origin with a flowery motif on the tip. It is able to store the latent energy left over from curative Techniques for future use.",
}

-- 11*
PSO.info.items["lumiel staff"] = {
		
		name = "Lumiel Staff",
		type = IT_WEAPON,
		weapontype = WPT_ROD,
		rarity = 11,
		atk = 210,
		
		req = 80,	-- lv req
		
		sprite = SPR_ROD2,
		frame = O,
		splatframe = P,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}