freeslot("SPR_SAB2")

PSO.info.items["saber"] = {
		
		name = "Saber",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_FLAME,
		potential = "state of the art",

		iyoffset = -16,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. Mass produced saber popular for its design making it light yet extremely effective.",
		
}

PSO.info.items["azul cutlass"] = {
		
		name = "Azul Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 2,
		atk = 33,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SABR,
		frame = W,
		splatframe = X,	-- while swinging.
		color = SKINCOLOR_BLUE,
		potential = "lifespring",
		
		iyoffset = -16,
		
		req = 4,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A Saber made of mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["brand"] = {
		
		name = "Brand",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_BLUE,
		potential = "state of the art",
		
		iyoffset = -16,
		
		req = 4,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. An improved saber commonly used for its more appealing colour to some.",
		
}

PSO.info.items["exiled cutlass"] = {
		
		name = "Exiled Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 3,
		atk = 43,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_SAB2,
		frame = A,
		splatframe = B,	-- while swinging.
		potential = "firm stance",
		
		iyoffset = -16,
		
		req = 8,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A Saber dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, dulling the blade.",
}

PSO.info.items["slash"] = {
		
		name = "Slash",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 3,
		atk = 40,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_MINT,
		potential = "state of the art",
		
		iyoffset = -16,
		
		req = 8,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. The best basic model of a Saber, used in the millitary alongside handguns, usually.",
		
}

-- 4 star
PSO.info.items["boreal cutlass"] = {
		
		name = "Boreal Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 4,
		atk = 55,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SAB2,
		frame = C,
		splatframe = D,	-- while swinging.
		potential = "soulspring",
		
		iyoffset = -16,
		
		req = 13,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A Saber forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["cutter"] = {
		
		name = "Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 4,
		atk = 51,
		
		req = 16,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		sound = sfx_sword,
		potential = "photonic keeper",

		iyoffset = -16,
		
		pa_cost = 90,
		pa_damage = 90,
		
		desc = "Right handed weapon. A simple design with a short handle, yet extremely effective.",
		
}

PSO.info.items["claw"] = {
		
		name = "Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 4,
		atk = 52,
		
		req = 16,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		iyoffset = -16,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "Right handed weapon. Saber modelled after a claw with two blades to increase accuracy. Its looks alone make it very popular.",
		
}

-- 5 star
PSO.info.items["resurgent cutlass"] = {
		
		name = "Resurgent Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 71,
		
		req = 23,
		
		sprite = SPR_SAB2,
		frame = G,
		splatframe = H,	-- while swinging.
		effectcolor = SKINCOLOR_RED,
		
		sound = sfx_sword,
		potential = "hopeless manoeuver",
		
		iyoffset = -8,
		
		desc = "Right handed weapon. A Saber dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva cutter"] = {
		
		name = "Alva Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 62,
		
		req = 24,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		iyoffset = -16,
		
		pa_cost = 90,
		pa_damage = 90,
		
		desc = "Right handed weapon. An improved Cutter with a sharper blade at no compromises.",
		
}

PSO.info.items["alva claw"] = {
		
		name = "Alva Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 62,
		
		req = 24,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		iyoffset = -16,
		
		sound = sfx_sword,
		potential = "photonic keeper",
		
		desc = "Right handed weapon. An improved Claw with sharper blades",
		
}

-- 6 star
for i = 1, 3
PSO.info.items["saber proto "..i] = {
		
		name = "SB-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		potential = "prototype unit ver."..i,

		iyoffset = -16,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
	
}
end

PSO.info.items["saber proto 4"] = {
		
		name = "SB-AR004",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		potential = "prototype modchip",

		iyoffset = -16,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
		
}

PSO.info.items["saber proto 5"] = {
		
		name = "SB-AR005",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 6,
		atk = 74,
		req = 34,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_GREY,
		potential = "tame prototype",

		iyoffset = -16,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
		
}

PSO.info.items["vita cutter"] = {
		
		name = "Vita Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 79,
		
		req = 31,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		
		iyoffset = -16,
		
		pa_damage = 90,
		potential = "photonic keeper",
		
		desc = "Right handed weapon. The size of the blade made it impossible to raise the output with sacrifing photon efficiency.",
		
}

PSO.info.items["vita claw"] = {
		
		name = "Vita Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 6,
		atk = 79,
		
		req = 31,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		
		iyoffset = -16,
		
		pa_cost = 110,
		potential = "photonic keeper",
		
		desc = "Right handed weapon. It was impossible to raise the output of both blades without sacrificing a fair chunk of photon efficiency.",
		
}

-- 7 star
PSO.info.items["gyras cutlass"] = {
		
		name = "Gyras Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 100,
		
		req = 40,	-- lv req
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_SAB2,
		frame = I,
		splatframe = J,	-- while swinging.

		iyoffset = -20,
		
		potential = "aberration slayer",
		
		desc = "Right handed weapon. A Saber taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel cutlass"] = {
		
		name = "Fusiel Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 91,
		
		elem = ELEM_ICE,
		
		sprite = SPR_SAB2,
		frame = E,
		splatframe = F,	-- while swinging.
		potential = "serene spirit",
		
		iyoffset = -16,
		
		req = 35,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. A Saber created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}

PSO.info.items["orakl soaringblade"] = {
		
		name = "Orakl S. Blade",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 101,
		
		req = 41,
		
		sprite = SPR_SABR,
		frame = C,
		splatframe = D,	-- while swinging.
		
		sound = sfx_sword,
		potential = "perfect rhythm",
		
		pa_cost = 90,
		
		desc = "Right handed weapon. Came in a set of two, has an ARKS moniker despite not ever being manufactured, so nobody knows where it's from.",
		
}

PSO.info.items["winginator"] = {
		
		name = "Winginator",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 92,
		
		req = 35,
		
		sprite = SPR_SABR,
		frame = I,
		splatframe = J,	-- while swinging.
		effectcolor = SKINCOLOR_BLUE,
		
		sound = sfx_sword,
		potential = "slippery slash",
		
		pa_cost = 105,
		
		desc = "Makeshift saber from a Penguinator's wing. Surprisingly, it doesn't come with a self destruct button.",
		
}

-- 8star
PSO.info.items["sarblight"] = {
		
		name = "Sarblight",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 8,
		atk = 120,
		
		req = 50,
		
		sprite = SPR_SABR,
		frame = K,
		splatframe = L,	-- while swinging.
		
		effectcolor = SKINCOLOR_PINK,
		
		sound = sfx_sword,

		iyoffset = 0,
		
		pa_cost = 200,
		pa_damage = 120,
		potential = "crimson twinkle",
		
		desc = "Right handed weapon. A Saber made from new technologies that put everything in power and disreguarded everything else.",
}

PSO.info.items["forblight"] = {
		
		name = "Forblight",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 8,
		atk = 120,
		
		req = 50,
		
		sprite = SPR_SABR,
		frame = M,
		splatframe = N,	-- while swinging.
		
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sword,

		iyoffset = 0,
		
		pa_cost = 100,
		pa_damage = 100,
		potential = "azure twinkle",
		
		desc = "Right handed weapon. A Saber made from new technologies, aiming for a good balance of power and efficiency.",
		
}

-- 9star
PSO.info.items["resplendant cutlass"] = {
		
		name = "Resplendent Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 9,
		atk = 140,
		
		req = 55,
		
		sprite = SPR_SAB2,
		frame = K,
		splatframe = L,	-- while swinging.
		effectcolor = SKINCOLOR_ORANGE,
		
		sound = sfx_sword,
		potential = "glimmer of hope",
		
		iyoffset = -8,
		
		desc = "Right handed weapon. The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["red saber"] = {
		
		name = "Red Saber",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 9,
		atk = 150,
		
		req = 60,
		
		sprite = SPR_SABR,
		frame = O,
		splatframe = P,	-- while swinging.
		
		effectcolor = SKINCOLOR_RED,
		
		sound = sfx_sword,
		
		iyoffset = -10,
		
		potential = "s-red",
		
		pa_cost = 120,
		pa_damage = 105,
		
		desc = "Right handed weapon. An unfinished prototype weapon, it's unclear who created it and why it was never finished. Only a few exist.",
		
}

PSO.info.items["grand cross"] = {
		
		name = "Grand Cross",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 9,
		atk = 150,
		
		req = 60,
		
		sprite = SPR_SABR,
		frame = Q,
		splatframe = R,	-- while swinging.
		
		sound = sfx_sword,
		
		pa_cost = 100,
		pa_damage = 100,
		
		iyoffset = 0,
		
		potential = "pure blade",
		
		desc = "Right handed weapon. Forged in only the strongest Photon Reactors available at the time. Limited in quantity due to its rare materials.",
		
}

-- 10star

PSO.info.items["elysion"] = {
		
		name = "Elysion",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 10,
		atk = 180,
		
		req = 70,
		
		sprite = SPR_SABR,
		frame = S,
		splatframe = T,	-- while swinging.
		
		effectcolor = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,
		potential = "elysion crash",
		
		pa_cost = 120,
		pa_damage = 90,
		
		desc = "Right handed weapon. The characters in its blade are said to encase ancient magics.",
		
}

PSO.info.items["axeon"] = {
		
		name = "Axeon",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 10,
		atk = 180,
		
		req = 70,
		
		sprite = SPR_SABR,
		frame = U,
		splatframe = V,	-- while swinging.
		
		effectcolor = SKINCOLOR_GREY,
		
		sound = sfx_sword,
		
		pa_cost = 100,
		pa_damage = 95,
		
		potential = "precise shot",
		desc = "Right handed weapon. A prototype weapon that acts as both a Saber and a Handgun. Said to have been wielded by heroes past.",
}

PSO.info.items["warrior's sabre"] = {
		
		name = "Warrior's Sabre",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 10,
		atk = 171,
		
		req = 70,	-- lv req
		
		sprite = SPR_SAB2,
		frame = O,
		splatframe = P,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		sound = sfx_sword,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "Right handed a weapon. An experimental Saber awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["fortress gardener"] = {
		
		name = "Fortress Gardener",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 11,
		atk = 191,
		
		req = 74,	-- lv req
		
		sprite = SPR_SAB2,
		frame = Q,
		splatframe = R,	-- while swinging.
		
		pa_cost = 100,
		pa_damage = 90,
		effectcolor = SKINCOLOR_GREY,
		
		sound = sfx_mswing,
		potential = "aerial menace",
		
		iyoffset = -10,
		
		desc = "Right handed a weapon. A foldable shovel mainly used for digging. In a pinch, one could even use it as a weapon.",
}

-- 11*
PSO.info.items["lumiel cutlass"] = {
		
		name = "Lumiel Cutlass",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 11,
		atk = 190,
		
		req = 80,	-- lv req
		
		sprite = SPR_SAB2,
		frame = M,
		splatframe = N,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "Right handed weapon. The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}