freeslot("SPR_TMAG", "SPR_OMOC", "SPR_KFLW", "SPR_MPIT")

PSO.info.items["tcsm_crawla1"] = {
		
		name = "TCSM/ B. Crawla",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_TMAG,
		frame = B,
		color = SKINCOLOR_BLUEBELL,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A Blue Crawla hijacked to assist as a technique casting drone. Despite the looks, it can levitate.",
		
}

PSO.info.items["tcsm_pit"] = {
		
		name = "TCSM/ Pit",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_MPIT,
		frame = A,
		color = SKINCOLOR_FLAME,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A machine lifeform capable of casting Techniques and here to assist.",
		
}

PSO.info.items["tcsm_crawla1"] = {
		
		name = "TCSM/ B. Crawla",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_TMAG,
		frame = B,
		color = SKINCOLOR_BLUEBELL,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A Blue Crawla hijacked to assist as a technique casting drone. Despite the looks, it can levitate.",
		
}

PSO.info.items["tcsm_gipit"] = {
		
		name = "TCSM/ Gipit",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_MPIT,
		frame = A,
		color = SKINCOLOR_BLUE,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. An enhanced version of Pit. Appreciated by many for its cost to power ratio.",
		
}

PSO.info.items["tcsm_crawla2"] = {
		
		name = "TCSM/ R. Crawla",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_TMAG,
		frame = B,
		color = SKINCOLOR_RED,
		nopaper = true,
		req = 4,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A hijacked Red Crawla. Interestingly enough, the technology within is vastly different than in the blue counterpart.",
		
}

PSO.info.items["tcsm_rapit"] = {
		
		name = "TCSM/ Rapit",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 3,
		atk = 38,
		
		sprite = SPR_MPIT,
		frame = A,
		color = SKINCOLOR_MINT,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A high-end Pit model often used to assist the millitary on site. It remains very cost effective to produce.",
		
}

PSO.info.items["tcsm_hood"] = {
		
		name = "TCSM/ D. Hood",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 3,
		atk = 38,
		
		sprite = SPR_ARCH,
		frame = A,
		spritescale = FRACUNIT/2,
		nopaper = true,
		req = 9,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Left handed weapon. A hijacked Dust Hood. Shoots techniques with its bow. Somehow.",
		
}

PSO.info.items["tcsm_unidus"] = {
		
		name = "TCSM/ Unidus",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_UNID,
		frame = A,
		spritescale = FRACUNIT/2,
		nopaper = true,
		req = 16,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. A hijacked Unidus. The spikeballs were unsafe so they were removed.",
		
}

PSO.info.items["tcsm_scrap"] = {
		
		name = "TCSM/ Falz Scrap",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 5,
		atk = 64,
		
		sprite = SPR_BRKN,
		frame = A,
		nopaper = true,
		req = 24,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. A scrap piece retrieved from Dark Falz's vessel. It radiates a strange energy.",
}

PSO.info.items["tcsm_gunner"] = {
		
		name = "TCSM/ Syn Gunner",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_JETG,
		frame = A,
		spritescale = FRACUNIT/2,
		nopaper = true,
		req = 31,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		potential = "photonic keeper",
		
		desc = "Left handed weapon. A highly mobile Gunner unit repurposed to cast Techniques.",
}

PSO.info.items["orakl tcsm"] = {
		
		name = "Orakl TCSM",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 7,
		atk = 101,
		
		sprite = SPR_TMAG,
		frame = A,
		color = SKINCOLOR_WHITE,
		nopaper = true,
		req = 41,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		
		potential = "perfect rhythm",
		
		desc = "Left handed weapon. A machine made from unknown technology. It seems predisposed to support you.",		
}

PSO.info.items["tcsm_crawla3"] = {
		
		name = "TCSM/ BP. Crawla",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 7,
		atk = 92,
		
		sprite = SPR_TMAG,
		frame = C,
		color = SKINCOLOR_BLUEBELL,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		req = 35,
		
		potential = "support fire",
		
		desc = "Left handed weapon. A prototype Crawla model from back when heroes were still around.",		
}

PSO.info.items["tcsm_crawla4"] = {
		
		name = "TCSM/ RP. Crawla",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 8,
		atk = 120,
		
		sprite = SPR_TMAG,
		frame = C,
		color = SKINCOLOR_RED,
		nopaper = true,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		req = 50,
		
		potential = "full steam ahead",
		
		desc = "Left handed weapon. An enhanced prototype Crawla model from back when heroes were still around.",		
}

PSO.info.items["tcsm_omochao"] = {
		
		name = "TCSM/ Omochao",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 9,
		atk = 150,
		
		sprite = SPR_OMOC,
		frame = A,
		frameanim = D,
		framedelay = 2,
		nopaper = true,
		color = SKINCOLOR_BLUEBELL,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		req = 60,
		
		potential = "malevolent entity",
		
		desc = "Hi, I'm Omochao! Equip me in the left hand slot of any palette to use me! Use your menu to assign Techni- *you violently remove the TCSM's voice box*",		
}

PSO.info.items["tcsm_eggrock"] = {
		
		name = "TCSM/ Egg Rock",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 10,
		atk = 180,
		
		sprite = SPR_TMAG,
		frame = D,
		nopaper = true,
		
		range = 2048,
		pa_damage = 100,
		pa_cost = 80,
		req = 70,
		
		desc = "Left handed weapon. A miniature replica of a powerful weapon destroyed by heroes long gone. It's quite menacing...",		
}

PSO.info.items["tcsm_angel"] = {
		
		name = "TCSM/ Angel",
		type = IT_WEAPON,
		weapontype = WPT_TECHMAG,
		rarity = 11,
		atk = 191,
		
		sprite = SPR_KFLW,
		frame = A,
		frameanim = B,
		framedelay = TICRATE/3,
		nopaper = true,
		color = SKINCOLOR_SLATE,
		elem = ELEM_LIGHT,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		req = 74,
		
		potential = "beats from beyond",
		
		desc = "Left handed weapon. A wind-up toy of sorts? Despite its unknown nature, it seems perfectly capable of responding to your input.",		
}
