freeslot("SPR_WAND", "SPR_WND2")

PSO.info.items["wand"] = {
		
		name = "Wand",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Right handed weapon. A solid alternative to the more powerful, but slower Rods that just about anyone can use effectively.",
		
}

PSO.info.items["azul baguette"] = {
		
		name = "Azul Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 2,
		atk = 31,
		
		elem = ELEM_ICE,
		
		sprite = SPR_WAND,
		frame = W,
		splatframe = X,
		color = SKINCOLOR_BLUE,
		
		req = 4,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "lifespring",
		
		desc = "Right handed weapon. A Wand made from mossy rock and water held together by photons. It radiates life.",
		
}

PSO.info.items["staff"] = {
		
		name = "Staff",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_BLUE,
		
		req = 4,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Right handed weapon. An improved Wand with a higher technique power output with no loss on casting speed.",
		
}

PSO.info.items["exiled baguette"] = {
		
		name = "Exiled Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 3,
		atk = 43,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_WND2,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_BLUE,
		
		req = 8,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "firm stance",
		
		desc = "Right handed weapon. A Wand dating from the first Badnik invasion's futile attempts at resistance... It has been abandonned and left at the mercy of the harsh weather, damaging the reactor.",
}

PSO.info.items["batnara"] = {
		
		name = "Batnara",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 3,
		atk = 38,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_MINT,
		
		req = 8,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "state of the art",
		
		desc = "Right handed weapon. A perfected basic model for wands, this is as far as the mastery of some beginners goes, even.",
		
}

-- 4star
PSO.info.items["boreal baguette"] = {
		
		name = "Boreal Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 4,
		atk = 55,
		
		elem = ELEM_EARTH,
		
		sprite = SPR_WND2,
		frame = C,
		splatframe = D,
		
		req = 13,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "soulspring",
		
		desc = "Right handed weapon. A Wand forged by photonic reactions with unique geometrical properties of surrounding icicles, giving it perfectly straight edges.",
}

PSO.info.items["scepter"] = {
		
		name = "Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_FLAME,
		
		req = 16,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. A new minimalist model of wand. It's pointy, but don't actually try hitting enemies with the weapon itself...",
		
}

PSO.info.items["hammer"] = {
		
		name = "Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_FLAME,
		
		req = 16,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. Its name and appearance are barely suited to its actual usage, but that made it popular somehow.",
		
}

-- 5star
PSO.info.items["resurgent baguette"] = {
		
		name = "Resurgent Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 5,
		atk = 71,
		
		sprite = SPR_WND2,
		frame = G,
		splatframe = H,
		
		req = 23,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "hopeless manoeuver",
		
		desc = "Right handed weapon. A Wand dating from the initial Badnik invasion. Its tip is heated up to hundreds of degrees with a thermal battery, making it the first ever truly effective weaponry against Badniks.",
		
}

PSO.info.items["alva scepter"] = {
		
		name = "Alva Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 5,
		atk = 64,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. An improvement upon the minimalist yet effective design with no compromises.",
		
}

PSO.info.items["alva hammer"] = {
		
		name = "Alva Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 5,
		atk = 63,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}

-- 6star
for i = 1,3
PSO.info.items["wand proto "..i] = {
		
		name = "WD-AR00"..i,
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 80,
		
		req = 34,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "prototype unit ver."..i,
		
		desc = "Right handed weapon. An experimental weapon reusing mass produced designs. The inner workings are actually completely different, but still needs a lot of fixing...",
		
}
end

PSO.info.items["wand proto 4"] = {
		
		name = "WD-AR004",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 80,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		req = 34,
		
		potential = "prototype modchip",
		
		desc = "Right handed weapon. A fusion of the different modifications performed on recent prototypes. The result is an unconventional weapon that doesn't feel meant to be used by anyone sane...",
		
}

PSO.info.items["wand proto 5"] = {
		
		name = "WD-AR005",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 80,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_GREY,
		
		req = 34,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "tame prototype",
		
		desc = "Right handed weapon. A fusion of the different modifications performed on recent prototypes. The result is a weapon with no special properties whatsoever but has unparalled stability.",
		
}

PSO.info.items["vita scepter"] = {
		
		name = "Vita Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_GOLD,
		
		req = 31,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 110,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. The small stature made it impossible to improve the power without losing on efficiency.",
		
}

PSO.info.items["vita hammer"] = {
		
		name = "Vita Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_GOLD,
		
		req = 31,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 100,
		
		potential = "photonic keeper",
		
		desc = "Right handed weapon. Its large body allowed it to retain some efficiency in its final upgrade.",
		
}

-- 7star
PSO.info.items["gyras baguette"] = {
		
		name = "Gyras Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 100,
		
		req = 40,	-- lv req
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_TAN,
		
		sprite = SPR_WND2,
		frame = I,
		splatframe = J,	-- while swinging.

		iyoffset = -20,
		
		potential = "aberration slayer",
		
		desc = "Right handed weapon. A Wand taken from a Harbinger. A warm light seems to have taken over the weapon after being separated from its original wielder...",
}

PSO.info.items["fusiel baguette"] = {
		
		name = "Fusiel Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 91,
		
		elem = ELEM_ICE,
		
		sprite = SPR_WND2,
		frame = E,
		splatframe = F,
		
		req = 35,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "serene spirit",
		
		desc = "Right handed weapon. A Wand created by hand using parts of atypical weaponry, drawing out the best within each of them.",
}


PSO.info.items["orakl wand"] = {
		
		name = "Orakl Wand",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 101,
		
		sprite = SPR_WAND,
		frame = C,
		splatframe = D,
		
		req = 41,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		potential = "perfect rhythm",
		
		desc = "Right handed weapon. Has an ARKS moniker despite never having been constructed officially, also seems like it's quite roughed up, which is weird for a wand.",
		
}

PSO.info.items["asterod"] = {
		
		name = "Asterod",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 92,
		
		sprite = SPR_WAND,
		frame = I,
		splatframe = J,
		
		req = 35,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 105,
		potential = "solasteron",
		
		desc = "Right handed weapon. Uses a Unidus to command Photons which works surprisingly well, just watch out for the small spikeballs.",
		
}

-- 8star
PSO.info.items["windmill"] = {
		
		name = "Windmill",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 8,
		atk = 120,
		
		sprite = SPR_WAND,
		frame = K,
		splatframe = L,
		
		req = 50,
		
		range = 1024,
		pa_damage = 35,
		pa_cost = 55,
		potential = "amplified support",
		
		desc = "Right handed weapon. A Wand with three blades shaped like a windmill. This allows for high Photon efficiency, although its power output is low.",
		
}

PSO.info.items["hexigraph"] = {
		
		name = "Hexigraph",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 8,
		atk = 120,
		
		sprite = SPR_WAND,
		frame = M,
		splatframe = N,
		
		req = 50,
		
		range = 1024,
		pa_damage = 105,
		pa_cost = 105,
		potential = "targetted support",
		
		desc = "Right handed weapon. A Wand with a design that allows it to shoot Techniques instead of just casting them.",
		
}

-- 9star
PSO.info.items["resplendant baguette"] = {
		
		name = "Resplendent Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 9,
		atk = 140,
		
		sprite = SPR_WND2,
		frame = K,
		splatframe = L,
		
		req = 55,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "glimmer of hope",
		
		desc = "Left handed weapon. The combined properties of the Resurgent weapon's ingenious design and fine tuning of prototypes allowed harnessing the power of the Light.",
}

PSO.info.items["serdote"] = {
		
		name = "Serdote",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 9,
		atk = 150,
		
		sprite = SPR_WAND,
		frame = O,
		splatframe = P,
		
		req = 60,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		potential = "reflex jalure",
		
		desc = "Right handed weapon. A Wand built for portability, its power is surprising for its size.",
		
}

PSO.info.items["rose quartz"] = {
		
		name = "Rose Quartz",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 9,
		atk = 150,
		
		sprite = SPR_WAND,
		frame = Q,
		splatframe = R,
		
		req = 60,
		
		range = 1024,
		pa_damage = 110,
		pa_cost = 100,
		
		iyoffset = -10,
		
		potential = "reflex gifoie",
		
		desc = "Right handed weapon. A Wand based on very old designs with two Photon recepts, this gives it high power and efficiency, although it's harder to wield and has worse range.",
		
}

-- 10star
PSO.info.items["rykros staff"] = {
		
		name = "Rykros Staff",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 10,
		atk = 180,
		
		sprite = SPR_WAND,
		frame = S,
		splatframe = T,
		
		req = 70,
		
		range = 1024,
		pa_damage = 70,
		pa_cost = 120,
		potential = "eye of rykros",
		
		desc = "Right handed weapon. A Wand with an eye pointing towards an unknown object far, far away. Some conjecture it to be an entirely different planet.",
}

PSO.info.items["evil curst"] = {
		
		name = "Evil Curst",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 10,
		atk = 180,
		
		sprite = SPR_WAND,
		frame = U,
		splatframe = V,
		
		req = 70,
		elem = ELEM_DARK,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 130,
		potential = "befallen curse",
		
		desc = "Right handed weapon. A Wand with an evil aura. It empowers Dark Techniques by adding its malevolence onto them...",
}

PSO.info.items["warrior's baguette"] = {
		
		name = "Warrior's Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 10,
		atk = 171,
		
		req = 70,	-- lv req
		
		sprite = SPR_WND2,
		frame = O,
		splatframe = P,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		effectcolor = SKINCOLOR_BLUEBELL,
		
		range = 1024,
		potential = "dynamo charge",
		
		iyoffset = -10,
		
		desc = "Right handed weapon. An experimental Wand awarded only to those who have proven themselves able to push their limits. It uses the heat of battle to power itself up.",
}

PSO.info.items["crimson demon staff"] = {
		
		name = "Crimson Demon Staff",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 11,
		atk = 191,
		
		req = 74,	-- lv req
		
		sprite = SPR_WND2,
		frame = Q,
		splatframe = R,	-- while swinging.
		
		pa_cost = 135,
		pa_damage = 100,
		
		range = 1024,
		potential = "explosion",
		
		iyoffset = -10,
		
		desc = "Right handed weapon. A wooden staff that apparently belonged to a fearsome mage. The inner workings of its magic were lost to time, but latent energy allows it to unleash devastating Techniques.",
}

-- 11*
PSO.info.items["lumiel baguette"] = {
		
		name = "Lumiel Baguette",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 11,
		atk = 190,
		
		req = 80,	-- lv req
		
		sprite = SPR_WND2,
		frame = M,
		splatframe = N,	-- while swinging.
		
		elem = ELEM_LIGHT,
		effectcolor = SKINCOLOR_ORANGE,

		iyoffset = -10,
		
		sound = sfx_sword,
		potential = "spark of hope",
		
		desc = "Right handed weapon. The masterful combination of two weapons drawing the best out of their components creates this unique elemental mixture of Ice and Light that quells hatred and dispells Darkness.",
}