-- Makes the discs for PAs

for k,v in pairs(PSO.info.photonArts)
	
	local pa = v
	
	-- we don't need normals as disks lmfao
	if not pa.cost
		continue
	end
	
	local index = k
	--p.pso.photonarts[k] = 1|2
	local desc = ""

	-- what weapon's it for?
	-- what index is it?
	local typ = 0
	local num = 0
	
	for key,val in pairs(PSO.info.weaponPhotonArts)
		for i = 1, #val
				
			if val[i] == k
				num = i
				typ = key
				break 2
			end
		end
	end
	
	if pa.technique
		desc = "Technique disc. "
	else
		desc = (PSO.info.weaponnames[typ] or "NO WEAPON?").." Photon Art disc. "
	end
	
	desc = $..pa.desc
	
	local cst = 4000 + (max(0, (num-2) or 0))*1000
	if pa.technique
		cst = 5000
	end
	
	PSO.info.items[index] = {
			name = pa.name,
			type = IT_CONSUMABLE,
			icon = "H_IICOC",
			rarity = 4,
			cost = cst,
			patype = typ ~= "techniques" and typ or 99999,
			panum = num,
			
			desc = desc,
			
			-- if false, the item can't be used.
			canuse = 	function(p)
							for i = 1, #p.pso.photonarts[typ]
								--print(p.pso.photonarts[typ][i].."/"..PSO.info.weaponPhotonArts[typ][num])
								if p.pso.photonarts[typ][i] == PSO.info.weaponPhotonArts[typ][num]
									return false
								end
							end
							return true
						end,
			
			use =	function(p)
						table.insert(p.pso.photonarts[typ], PSO.info.weaponPhotonArts[typ][num])	-- = $ | (2^(num-1))
						--print("Learned: "..PSO.info.photonArts[PSO.info.weaponPhotonArts[typ][num]].name)
						
						S_StartSound(p.mo, sfx_heal)
					end,
	}
end

print(PSO.info.items["shifta"].patype)